<!DOCTYPE html>
<html>
<head>

	<meta charset="<?=$this->dle_config['charset']?>" />

	<title>CDNM - Админпанель - Настройки</title>

	<!-- CSS -->
	<link type="text/css" href="/engine/skins/cdnm/css/default.css?v=<?=time()?>" rel="stylesheet" />

	<!-- Bootstrap 3.2.0 CSS -->
	<link type="text/css" href="/engine/skins/cdnm/bootstrap/css/bootstrap.min.css?210921" rel="stylesheet" />
	<link type="text/css" href="/engine/skins/cdnm/bootstrap/css/bootstrap-theme.min.css" rel="stylesheet" />

	<!-- Подключаем jQuery UI CSS -->
	<link type="text/css" href="/engine/skins/cdnm/css/jquery-ui.css" rel="stylesheet" />

	<!-- Подключаем jQuery для старых версий скрипта -->
	<script type="text/javascript" src="/engine/skins/cdnm/js/jquery-1.11.1.min.js"></script>

	<!-- Подключаем jQuery UI -->
	<script type="text/javascript" src="/engine/skins/cdnm/js/jquery-ui.min.js"></script>
	<script type="text/javascript">
	<!--
		jQuery.fn.outerHTML = function() {
			return jQuery('<div />').append(this.eq(0).clone()).html();
		};
	-->
	</script>

	<!-- Additional Scripts -->
	<script type="text/javascript" src="/engine/skins/cdnm/js/main.js"></script>

	<!-- Bootstrap 3.2.0 JavaScript -->
	<script type="text/javascript" src="/engine/skins/cdnm/bootstrap/js/bootstrap.min.js"></script>

</head>
<body>

	<div class="navbar navbar-default navbar-fixed-top" role="navigation">
		<div class="container">
			<div class="navbar-header">
				<button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
					<span class="sr-only">Включить навигацию</span>
					<span class="icon-bar"></span>
					<span class="icon-bar"></span>
					<span class="icon-bar"></span>
				</button>
				<a class="navbar-brand" href="?mod=cdnm">CDN Movies</a>
			</div>
			<div class="navbar-collapse collapse">
				<ul class="nav navbar-nav">
					<li class="active"><a href="?mod=cdnm&amp;action=settings">Настройки</a></li>
					<li><a href="?mod=cdnm&amp;action=replace">Проставление ссылок</a></li>
				</ul>
				<div class="navbar-form navbar-right">
					<button type="button" class="btn btn-primary" onclick="location.href = '?';">Админпанель сайта</button>
				</div>
			</div>
		</div>
	</div>

	<div class="container">
			
		<?php if ($_GET['a_success']): ?>
			<div class="alert alert-success" role="alert">Настройки модуля сохранены! </div>
		
		<?php elseif ($_GET['a_failed']): ?>
			<div class="alert alert-danger" role="alert">Файл не обновлен! Проверьте права на запись в файл настроек модуля (/engine/data/cdnmconfig.php). </div>

		<?php endif; ?>
		
<script>
<!--
function ChangeOption(obj, selectedOption) {
  $("#navbar-filter li").removeClass('active');
  $(obj).parent().addClass('active');
  //document.getElementsByClassName('tab').style.display = "none";
  $('.tab').hide();
  //document.getElementsByClassName('tab').each(function(e){e.style.display = "none"});
  document.getElementById(selectedOption).style.display = "block";
  return false;
}
function AddQuality(quality) {
  switch(quality) {
	  case'replace_q':
		var name = prompt('Введите название качества');
	    break
	  case'replace_s':
	    var name = prompt('Введите текст озвучки для замены');
  }
  if (name == null || name == '') return false;

  var exist = 0;
  $('#'+quality+' .cdnm-qualities-list .input-group').each(function(){
	  if ( $(this).find('span.input-group-addon').text().toUpperCase() == name.toUpperCase() ) exist = 1;
  });
  
  var block = '<div class="input-group">'+
  '<span class="input-group-addon">'+name+'<span class="input-group-addon-del">x</span></span>'+
  '<input name="'+quality+'_arr['+name+']\" value="" type="text" class="form-control">'+
  '</div>';
  
  $('#'+quality+' .alert').remove();
  if (exist == 0) $('#'+quality+' .cdnm-qualities-list').append(block);
  else alert('Поле уже было добавлено');
  
  return false;
}
$(document).on('click', '.input-group-addon-del', function(){
	$(this).closest('.input-group').remove();
});
$(document).ready(function(){
	//select categories
	$(".categoryselect").chosen({
		allow_single_deselect: true,
		no_results_text: "Ничего не найдено"
	});
});
-->
</script>      		
		
		<form action="/<?=($this->dle_config['admin_path'])?>?mod=cdnm&action=settings" method="post" role="form">
		<?php if (!is_writable(ENGINE_DIR . '/data/cdnmconfig.php') && file_exists(ENGINE_DIR . '/data/cdnmconfig.php')): ?>
		<div class="alert alert-warning" role="alert">
			Проверьте права на запись в файл настроек (engine/data/cdnmconfig.php)
		</div>
		<?php endif; ?>

	  <!-- Toolbar -->
      <div class="navbar navbar-default navbar-component navbar-xs systemsettings">
        <div class="navbar-collapse collapse" id="navbar-filter">
          <ul class="nav navbar-nav">
            <li class="active"><a href="#" onclick="ChangeOption(this, 'general'); return false;" class="tip">Общие настройки</a></li>
            <li><a href="#" onclick="ChangeOption(this,'fields'); return false;" class="tip">Вывод данных</a></li>
            <li><a href="#" onclick="ChangeOption(this,'cats'); return false;" class="tip">Категории</a></li>
			<li><a href="#" onclick="ChangeOption(this,'quality'); return false;" class="tip">Качество, озвучка</a></li>
			<li><a href="#" onclick="ChangeOption(this,'uf'); return false;" class="tip">Автообновление</a></li>
			<li><a href="#" onclick="ChangeOption(this,'shabs'); return false;" class="tip">Заголовок - Титл - ЧПУ</a></li>
          </ul>
        </div>
      </div>
      <!-- /toolbar -->
		
			<div id="general" class="panel panel-default tab">
				<table class="table table-bordered" style="margin: 0;">
					<tbody>
						<tr>
							<td width="50%">
								<div class="form-group">
									<label for="moduleOn">Модуль</label>
									<div class="col-sm-12 settings-input-col">
										<button type="button" id="moduleOn" class="btn btn-change btn-sm btn-<?=($this->config['on'] ? 'success' : 'danger')?>" style="margin: 2px 0; font-weight: bold;"><?=($this->config['on'] ? 'ВКЛЮЧЕН' : 'ВЫКЛЮЧЕН')?></button>
										<input type="hidden" name="settings[on]" value="<?=($this->config['on'] ? 1 : 0)?>" />
										<span class="help-block">Включение и выключение модуля</span>
									</div>
								</div>
								<div class="form-group">
									<label for="moduleMyDomain">Группы пользователей</label>
									<div class="col-sm-10 settings-input-col">
<?php

											$this->config['allowgroups'] = explode(',', $this->config['allowgroups']);

											$allowgroups = array();
											$result = $this->dle_db->query("SELECT * FROM " . USERPREFIX . "_usergroups WHERE id != 5 ORDER BY id ASC");
											while ($row = $result->fetch_assoc()) {
												$allowgroups[$row['id']] = $row['group_name'];
											}

											$allowgroups_list = '';
											foreach ($allowgroups as $key => $value) {
												if (in_array($key, $this->config['allowgroups']))
													$selected = ' selected';
												else
													$selected = '';

												$allowgroups_list .= "<option value=\"$key\"$selected>$value</option>";
											}

?>
										<select data-placeholder="Выберите группу ..." name="settings[allowgroups][]" id="allowgroups" class="allowgroups" multiple style="width:350px;"><?=$allowgroups_list?></select>
										<script type="text/javascript">
										<!--
											$(".allowgroups").chosen({
												allow_single_deselect: true,
												no_results_text: "Ничего не найдено"
											});

										-->
										</script>
									</div>
									<span class="help-block">Группы пользователей которым будет доступен модуль</span>
								</div>
								
								<div class="form-group">
									<label for="moduleApiToken">API Ключ</label>
									<div class="col-sm-10 settings-input-col">
										<input type="text" name="settings[api_token]" class="form-control" id="moduleApiToken" value="<?=$this->config['api_token']?>" placeholder="Введите персональный API Ключ" />
									</div>
									<span class="help-block">Введите ваш личный API ключ</span>
								</div>
								
								<div class="form-group">
									<label>Размер видео</label>
									<div class="col-sm-12 settings-input-col">
										<input type="text" name="settings[video_width]" class="form-control settings-videosize-input" id="moduleVideoWidth" value="<?=$this->config['video_width']?>" placeholder="ШИРИНА" />
										<div class="settings-videosize-delimiter">X</div>
										<input type="text" name="settings[video_height]" class="form-control settings-videosize-input" id="moduleVideoHeight" value="<?=$this->config['video_height']?>" placeholder="ВЫСОТА" />
										<div class="clear"></div>
									</div>
									<span class="help-block">Если выводите тегом модуля, укажите оптимальный размер видео <b>ШИРИНА</b> х <b>ВЫСОТА</b></span>
								</div>
<!--
								<div class="form-group">
									<label for="moduleMyDomain">Свой домен для плеера</label>
									<div class="col-sm-10 settings-input-col">
										<input type="text" name="settings[domain]" class="form-control" id="moduleMyDomain" value="<?=$this->config['domain']?>" placeholder="//site.com" />
									</div>
									<span class="help-block">Введите свой домен<br>Обязательно укажите <b>//</b> перед доменом</span>
								</div>
-->
								<div class="form-group">
									<label>Протокол шифрования</label>
									<div class="col-sm-10 settings-input-col">
										<select name="settings[tls]" class="form-control">
											<option value="0"<?=(empty($this->config['tls']) ? ' selected' : '')?>> - - - </option>
											<option value="7"<?=($this->config['tls'] == '7' ? ' selected' : '')?>>TLS v1.3</option>
											<option value="6"<?=($this->config['tls'] == '6' ? ' selected' : '')?>>TLS v1.2</option>
										</select>
									</div>
									<span class="help-block">Измените, если на вашем сервере не поддерживается последний TLS протокол.</span>
								</div>
								
							</td>
							<td width="50%">
							
								<div class="form-group">
									<label for="moduleFieldKinopoisk">Поиск: ID видео на kinopoisk.ru из поля</label>
									<div class="col-sm-10 settings-input-col">
										<select name="settings[kinopoisk_id]" id="moduleFieldKinopoisk" class="form-control">
											<?php if ($this->fields['xf']) foreach ($this->fields['xf'] as $key => $value) {
												?><option value="<?=$key?>"<?=($key == $this->config['kinopoisk_id'] ? ' selected' : '')?>><?=$value?></option><?php
												if ($key == '') {?> <option value="pspvolt_id"<?=($this->config['kinopoisk_id'] == 'pspvolt_id' ? ' selected' : '')?>>Поле от ParserKino "pspvolt_id"</option> <?php }
											} ?>
										</select>
									</div>
									<span class="help-block">Выберите поле из которого брать ID видео на kinopoisk.ru</span>
								</div>
								<div class="form-group">
									<label for="moduleFieldImdb">Поиск: ID видео на imdb.com из поля</label>
									<div class="col-sm-10 settings-input-col">
										<select name="settings[imdb_id]" id="moduleFieldImdb" class="form-control">
											<?php if ($this->fields['xf']) foreach ($this->fields['xf'] as $key => $value) {
												?><option value="<?=$key?>"<?=($key == $this->config['imdb_id'] ? ' selected' : '')?>><?=$value?></option><?php
											} ?>
										</select>
									</div>
									<span class="help-block">Выберите поле из которого брать ID видео на imdb.com</span>
									<br>
									<div class="col-sm-12 settings-input-col">
										<input type="checkbox" name="settings[imdb_no_tt]" class="moduleField" value="1" <?=($this->config['imdb_no_tt'] ? 'checked' : '')?> /> Заполнять поле без tt<br>
									</div>
									<span class="help-block">Не будет добавляться 'tt' перед цифрами ID</span>
								</div>
								<div class="form-group">
									<label for="moduleFieldWorldArt">Поиск: ID видео на world-art.ru/animation из поля</label>
									<div class="col-sm-10 settings-input-col">
										<select name="settings[world_art_id]" id="moduleFieldWorldArt" class="form-control">
											<?php if ($this->fields['xf']) foreach ($this->fields['xf'] as $key => $value) {
												?><option value="<?=$key?>"<?=($key == $this->config['world_art_id'] ? ' selected' : '')?>><?=$value?></option><?php
											} ?>
										</select>
									</div>
									<span class="help-block">Выберите поле из которого брать ID видео на world-art.ru</span>
								</div>
								<div class="form-group">
									<label for="moduleFieldKinopoisk">Поиск: ID видео на themoviedb из поля</label>
									<div class="col-sm-10 settings-input-col">
										<select name="settings[tmdb_id]" id="moduleFieldTMDB" class="form-control">
											<?php if ($this->fields['xf']) foreach ($this->fields['xf'] as $key => $value) {
												?><option value="<?=$key?>"<?=($key == $this->config['tmdb_id'] ? ' selected' : '')?>><?=$value?></option><?php
											} ?>
										</select>
									</div>
									<span class="help-block">Выберите поле из которого брать ID видео на themoviedb.org</span>
								</div>
								<div class="form-group">
									<label for="moduleFieldKinopoisk">Поиск: ID видео на kinorium.com из поля</label>
									<div class="col-sm-10 settings-input-col">
										<select name="settings[kinorium_id]" id="moduleFieldKinorium" class="form-control">
											<?php if ($this->fields['xf']) foreach ($this->fields['xf'] as $key => $value) {
												?><option value="<?=$key?>"<?=($key == $this->config['kinorium_id'] ? ' selected' : '')?>><?=$value?></option><?php
											} ?>
										</select>
									</div>
									<span class="help-block">Выберите поле из которого брать ID видео на kinorium.com</span>
								</div>
								<div class="form-group">
									<label for="moduleFieldKinopoisk">Поиск: ID видео на shikimori.me из поля</label>
									<div class="col-sm-10 settings-input-col">
										<select name="settings[shikimori_id]" id="moduleFieldKinorium" class="form-control">
											<?php if ($this->fields['xf']) foreach ($this->fields['xf'] as $key => $value) {
												?><option value="<?=$key?>"<?=($key == $this->config['shikimori_id'] ? ' selected' : '')?>><?=$value?></option><?php
											} ?>
										</select>
									</div>
									<span class="help-block">Выберите поле из которого брать ID видео на shikimori.me</span>
								</div>
								<div class="form-group">
									<label for="moduleFieldKinopoisk">Поиск: ID видео на mydramalist.com из поля</label>
									<div class="col-sm-10 settings-input-col">
										<select name="settings[mdl_id]" id="moduleFieldKinorium" class="form-control">
											<?php if ($this->fields['xf']) foreach ($this->fields['xf'] as $key => $value) {
												?><option value="<?=$key?>"<?=($key == $this->config['mdl_id'] ? ' selected' : '')?>><?=$value?></option><?php
											} ?>
										</select>
									</div>
									<span class="help-block">Выберите поле из которого брать ID видео на mydramalist.com</span>
								</div>

								<div class="form-group">
									<label>Заполнять поля с ID видео</label>
									<div class="col-sm-12 settings-input-col">
										<input type="checkbox" name="settings[allow_autopaste]" class="moduleField" value="1" <?=($this->config['allow_autopaste'] ? 'checked' : '')?> /> Заполнять Kinopoisk, IMDb, World-Art, Kinorium, TMDB, Shikimori, MyDramaList<br>
									</div>
									<span class="help-block">Если одно из полей пустое.</span>
								</div>
																				
							</td>
						</tr>
					</tbody>
				</table>
				
					<div class="panel-heading panel-heading-bt">
						<h3 class="panel-title">Настройки редиректов</h3>
					</div>
					
					<table class="table table-bordered" style="margin: 0">
						<tbody>
							<tr>
							  <td width="50%">
								
								<div class="form-group">
									<label>Поисковые боты</label>
									<div class="col-sm-10 settings-input-col">
										<input type="text" name="settings[good_bots]" class="form-control" value="<?=($this->config['good_bots'] ? $this->config['good_bots'] : 'Yandex|Googlebot|bingbot|Mail.RU_Bot|Rambler|Slurp|DuckDuckBot|Applebot|PetalBot')?>" placeholder="Yandex|Googlebot" />
									</div>
									<span class="help-block">Введите фразы из user-agent поисковых ботов, через знак <b>|</b><br>* Без указания этих данных не будут работать фильтр и редирект</span>
								</div>


							  </td>
							  <td width="50%">
								
								<div class="form-group">
									<label>Код ответа для редиректов</label>
									<div class="col-sm-10 settings-input-col">
										<select name="settings[redirect_code]" class="form-control">
											<option value="302 Moved Temporarily"<?=($this->config['redirect_code'] == '302 Moved Temporarily' ? ' selected' : '')?>>302 редирект</option>
											<option value="301 Moved Permanently"<?=($this->config['redirect_code'] == '301 Moved Permanently' ? ' selected' : '')?>>301 редирект</option>
										</select>
									</div>
									<span class="help-block">Выберите 301 или 302 редирект.</span>
								</div>

							  </td>
							</tr>
							
							<tr>
							  <td width="50%">
							  
								<div class="form-group">
									<label>Поддомены для посетителей через редирект</label>
									<div class="col-sm-12 settings-input-col">
										<textarea name="settings[redirect]" class="form-control" rows="3"><?=$this->config['redirect']?></textarea>
									</div>
									<span class="help-block">Укажите домены для редиректа, каждый на своей строке<br> Пример: https://hd1.domain.com<br>Рекомендуем использовать 302 временный редирект, он не ведет к склейке и для поисковых ботов не используется.</span>
								</div>

							  </td>
							  <td width="50%">
							  
								<div class="form-group">
									<label>Ротация поддоменов</label>
									<div class="col-sm-12 settings-input-col">
										<select name="settings[redirect_random]" class="form-control">
											<option value="0"<?=($this->config['redirect_random'] == '0' ? ' selected' : '')?>>Случайный выбор каждый раз</option>
											<option value="30"<?=($this->config['redirect_random'] == '30' ? ' selected' : '')?>>Каждые 30 минут</option>
											<option value="60"<?=($this->config['redirect_random'] == '60' ? ' selected' : '')?>>Каждый час</option>
											<option value="180"<?=($this->config['redirect_random'] == '180' ? ' selected' : '')?>>Каждые 3 часа</option>
											<option value="360"<?=($this->config['redirect_random'] == '360' ? ' selected' : '')?>>Каждые 6 часов</option>
											<option value="720"<?=($this->config['redirect_random'] == '720' ? ' selected' : '')?>>Каждые 12 часов</option>
											<option value="1440"<?=(!isset($this->config['redirect_random']) || $this->config['redirect_random'] == '1440' ? ' selected' : '')?>>1 раз в сутки</option>
										</select>
									</div>
									<span class="help-block">Настройка актуальна, если в списке больше 1 поддомена для редиректа.</span>
								</div>
								
								<div class="form-group">
									<label>Включить редирект с поддомена для ботов</label>
									<div class="col-sm-12 settings-input-col">
										<input type="checkbox" name="settings[redirect_poddomen]" class="moduleField" value="1" <?=($this->config['redirect_poddomen'] ? 'checked' : '')?>> Включить редирект для ботов
									</div>
									<span class="help-block">Если в .htaccess не настроен редирект с поддоменов на главное зеркало.</span>
								</div>

							  </td>
							</tr>
							
							<tr>
							  <td width="50%">
							  
								<div class="form-group">
									<label>Заглушка для прямых заходов: Код ответа</label>
									<div class="col-sm-10 settings-input-col">
										<select name="settings[zaglush_norefer_code]" class="form-control">
										<?php if (empty($this->config['zaglush_norefer_code'])) $this->config['zaglush_norefer_code'] = '404 Not Found'; ?>
											<option value="200 OK"<?=($this->config['zaglush_norefer_code'] == '200 OK' ? ' selected' : '')?>>200 OK</option>
											<option value="400 Bad Request"<?=($this->config['zaglush_norefer_code'] == '400 Bad Request' ? ' selected' : '')?>>400 Bad Request</option>
											<option value="404 Not Found"<?=($this->config['zaglush_norefer_code'] == '404 Not Found' ? ' selected' : '')?>>404 Not Found</option>
											<option value="403 Forbidden"<?=($this->config['zaglush_norefer_code'] == '403 Forbidden' ? ' selected' : '')?>>403 Forbidden</option>
											<option value="500 Internal Server Error"<?=($this->config['zaglush_norefer_code'] == '500 Internal Server Error' ? ' selected' : '')?>>500 Internal Server Error</option>
											<option value="503 Service Unavailable"<?=($this->config['zaglush_norefer_code'] == '503 Service Unavailable' ? ' selected' : '')?>>503 Service Unavailable</option>
										</select>
									</div>
									<span class="help-block">Выберите код ответа показываемой заглушки.</span>
								</div>
								
								<div class="form-group">
									<label>Заглушка для прямых заходов на главный сайт (без реферра)</label>
									<div class="col-sm-10 settings-input-col">
										<input type="text" name="settings[zaglush_norefer]" class="form-control" value="<?=$this->config['zaglush_norefer']?>" placeholder="/path/file.html" />
									</div>
									<span class="help-block">Укажите путь к html или php файлу (если пусто, опция не работает)<br>Пример: /noref.html или /noref.php</span>
								</div>

							  </td>
							  <td width="50%">

								<div class="form-group">
									<label>Фильтровать прямые заходы только на страницах новостей</label>
									<div class="col-sm-12 settings-input-col">
										<input type="checkbox" name="settings[zaglush_norefer_news]" class="moduleField" value="1" <?=($this->config['zaglush_norefer_news'] ? 'checked' : '')?>> Только на страницах новостей
									</div>
								</div>
								
								<div class="form-group">
									<label>Фильтровать прямые заходы только на главном домене</label>
									<div class="col-sm-12 settings-input-col">
										<input type="checkbox" name="settings[zaglush_norefer_zerkalo]" class="moduleField" value="1" <?=($this->config['zaglush_norefer_zerkalo'] ? 'checked' : '')?>> Только на главном домене
									</div>
									<span class="help-block">Тот, что указан в настройках ДЛЕ (<?=($this->dle_config['http_home_url'])?>)</span>
								</div>

							  </td>
							</tr>
							
						</tbody>
					</table>
					
					<div class="panel-heading panel-heading-bt">
						<h3 class="panel-title">Интеграция со сторонними модулями</h3>
					</div>
					
					<table class="table table-bordered" style="margin: 0">
						<tbody>
							<tr>
							  <td width="50%">
							  
								<div class="form-group">
									<label>DLE Subscribe от LazyDev</label>
									<div class="col-sm-12 settings-input-col">
										<input type="checkbox" name="settings[subscribe_lazydev]" class="moduleField" value="1" <?=($this->config['subscribe_lazydev'] ? 'checked' : '')?>> Подключить уведомления подписчикам
									</div>
									<span class="help-block">Модуль может отправять email пользователям, которые подписаны на новость.<br>Обязательное наличие настроенного <a href="https://lazydev.pro/product/1-dle-subscribe.html" target="_blank">DLE Subscribe</a></span>
								</div>

							  </td>
							  <td width="50%">

							  </td>
							</tr>
						</tbody>
					</table>
<!--					
					<div class="panel-heading panel-heading-bt">
						<h3 class="panel-title">Настройки определения лучшего качества <i id="VoiceHelp" class="glyphicon glyphicon-exclamation-sign text-danger" data-placement="top" data-toggle="popover" data-trigger="hover" data-content="Доступно только для массового проставления ссылок по полю Kinopoisk ID, World-art ID или IMDb ID и автоматического обновления лучшего качества!"></i></h3>
					</div>

					<table class="table table-bordered" style="margin: 0;">
						<tbody>
							<tr>
								<td width="50%">

									<div class="form-group">
										<label>Настройки качества для фильмов</label>
										<div class="col-sm-12 settings-input-col">

											<div class="radio">
												<label>
													<input type="radio" name="settings[film_quality]" value="0"<?=($this->config['film_quality'] == 0 ? ' checked' : '')?>>
													Не использовать приоритет
													<br/><small><i>(по умолчанию)</i></small>
												</label>
											</div>
											<div class="radio">
												<label>
													<input type="radio" name="settings[film_quality]" value="1"<?=($this->config['film_quality'] == 1 ? ' checked' : '')?>>
													Использовать только приоритет качества видео
													<br/><small><i>(обязательно HD качество видео)</i></small>
												</label>
											</div>
											<div class="radio">
												<label>
													<input type="radio" name="settings[film_quality]" value="2"<?=($this->config['film_quality'] == 2 ? ' checked' : '')?>>
													Использовать только приоритет озвучек
													<br/><small><i>(приоритет озвучек)</i></small>
												</label>
											</div>
											<div class="radio">
												<label>
													<input type="radio" name="settings[film_quality]" value="3"<?=($this->config['film_quality'] == 3 ? ' checked' : '')?>>
													Использовать приоритет качества видео и озвучки
													<br/><small><i>(Совпадение HD + озвучка)</i></small>
												</label>
											</div>

										</div>
									</div>

								</td>
								<td width="50%">
									
									<div class="form-group">
										<label for="filmVoice">Приоритет озвучек для фильмов</label>
										<div class="col-sm-12 settings-input-col">

											<button data-toggle="modal" data-target="#filmVoiceModal" type="button" id="filmVoice" class="btn btn-sm btn-primary" style="margin: 2px 0; font-weight: bold;">Настроить приоритет озвучек</button>

										</div>
									</div>
									
									<div class="form-group">
										<label for="moduleMyDomain">База данных озвучки</label>
										<div class="col-sm-10 settings-input-col">
											Студии перевода и озвучивания: <?=$cdnvoice['count']?><br>                    
											<button type="button" onclick="location.href='?mod=cdnm&action=settings&upd_translate=1';" class="btn btn-sm btn-success" style="margin: 2px 0; font-weight: bold;">Обновить список переводов</button>
										</div>
									</div>
									
								</td>
							</tr>
						</tbody>
					</table>

-->
					<div class="panel-heading panel-heading-bt">
						<h3 class="panel-title">Настройки автоматического обновления по CRON <i id="CronHelp" class="glyphicon glyphicon-exclamation-sign text-danger" data-placement="top" data-toggle="popover" data-trigger="hover" data-content="Автоматическое обновление доступно только для новостей у которых заполнено поле Kinopoisk, IMDb, World-Art, Kinorium, TMDB, Shikimori, MyDramaList!"></i></h3>
					</div>
					
					<table class="table table-bordered" style="margin: 0">
						<tbody>
							<tr>
								<td width="50%">
									<div class="form-group">
										<label for="moduleCronType">Тип</label>
										<div class="col-sm-4 settings-input-col">
											<select name="settings[cron_type]" id="moduleCronType" class="form-control cdnm-replace-field">
												<option value="1"<?=($this->config['cron_type'] == 1 ? ' selected' : '')?>>Все</option>
												<option value="2"<?=($this->config['cron_type'] == 2 ? ' selected' : '')?>>Опубликованные</option>
												<option value="3"<?=($this->config['cron_type'] == 3 ? ' selected' : '')?>>Неопубликованные</option>
											</select>
										</div>
										<span class="help-block">Выберите тип новостей которым будет обновлятся ссылка</span>
									</div>

									<div class="form-group">
										<label>Категории</label>
										<div class="col-sm-12 settings-input-col">
											<?php
												$xfieldsaction = "categoryfilter";
												include ENGINE_DIR . '/inc/xfields.php';
												echo $categoryfilter;

												$categories_list = CategoryNewsSelection(explode(',', $this->config['cron_cats']), 0);
											?>
											<select data-placeholder="Выберите категории ..." name="settings[cron_cats][]" id="category" onchange="onCategoryChange(this)" class="categoryselect" multiple style="width:100%;max-width:350px;"><?=$categories_list?></select>
											<div class="category-inverse"><input class="checkbox-inline cdnm-replace-field" type="checkbox" id="category_inverse" name="settings[cron_cats_inverse]" value="1" title="Не обновлять выбранные категории"<?=($this->config['cron_cats_inverse'] ? ' checked' : '')?>/></div>
										</div>
										<span class="help-block" style="padding-top: 5px;">Категории (с учетом подкатегорий) в которых будет массовое обновление ссылок</span>
									</div>

									<div class="form-group">
										<label>Белый список ID новостей</label>
										<div class="col-sm-12 settings-input-col">
											<textarea name="settings[cron_white_list]" class="form-control" rows="3"><?=$this->config['cron_white_list']?></textarea>
										</div>
										<span class="help-block">Новости в этом списке в обязательном порядке будут участвовать в автоматическом обновлении ссылок даже если не находятся в указанных категориях</span>
									</div>

									<div class="form-group">
										<label>Чёрный список ID новостей</label>
										<div class="col-sm-12 settings-input-col">
											<textarea name="settings[cron_black_list]" class="form-control" rows="3"><?=$this->config['cron_black_list']?></textarea>
										</div>
										<span class="help-block">Новости в этом списке не будут участвовать в автоматическом обновлении ссылок</span>
									</div>
																				
								</td>
								<td width="50%">
									<?php $cron_key = md5(time() . $config['http_home_url'] . $_SESSION['user_id']['email'])?>
									<div class="form-group">
										<label>Ссылка для выполнения в браузере</label>
										<div class="col-sm-12 settings-input-col">
											<input type="text" class="form-control" value="<?=$this->dle_config['http_home_url']?>cdnm_cron.php?key=<?=($this->config['cron_key'] != '' ? $this->config['cron_key'] : $cron_key)?>">
										</div>
									</div>
									
									<div class="form-group">
										<label>Параметр задачи для планировщика заданий (CRON)</label>
										<div class="col-sm-12 settings-input-col">
											<input type="text" class="form-control" value="php <?=ROOT_DIR?>/cdnm_cron.php <?=($this->config['cron_key'] != '' ? $this->config['cron_key'] : $cron_key)?>">
										</div>
										<span class="help-block"><b>php</b> - замените на путь к PHP на сервере (если не работает)</span>
									</div>

									<div class="form-group">
										<label>Секретный ключ</label>
										<div class="col-sm-10 settings-input-col">
											<input type="text" name="settings[cron_key]" class="form-control" id="moduleCronKey" value="<?=($this->config['cron_key'] != '' ? $this->config['cron_key'] : $cron_key)?>" placeholder="Введите секретный ключ" />
										</div>
										<span class="help-block"><?=($this->config['cron_key'] != '' ? '' : '<b style="color:red">Секретный ключ не сохранен, сохраните настройки</b>')?></span>
									</div>
									
									<div class="form-group">
										<label>Режим работы планировщика</label>
											<div class="radio">
												<label>
													<input type="radio" name="settings[cron_mode]" value="0"<?=($this->config['cron_mode'] == 0 ? ' checked' : '')?>>
													Производительный (быстрый)
													<br/><small><i>(Подойдет для VPS без лимитов по времени выполнения php)</i></small>
												</label>
											</div>
											<div class="radio">
												<label>
													<input type="radio" name="settings[cron_mode]" value="1"<?=($this->config['cron_mode'] == 1 ? ' checked' : '')?>>
													Экономичный (медленный)
													<br/><small><i>(Подойдет для хостинга без лимитов по времени выполнения php)</i></small>
												</label>
											</div>	
											<div class="radio">
												<label>
													<input type="radio" name="settings[cron_mode]" value="2"<?=($this->config['cron_mode'] == 2 ? ' checked' : '')?>>
													Пошаговвая работа
													<br/><small><i>(Если есть лимиты по времени выполнения php, настройте частоту выполнение задания, например 1 раз в минуту)</i></small>
												</label>
											</div>	
									</div>								

									<?php
										if ($this->config['fields']) {
											$this->config['fields'] = explode('|', $this->config['fields']);

											foreach ($this->config['fields'] as $field_name) {
												$$field_name = true;
											}
										}
									?>
									<div class="form-group">
										<label for="moduleField">Приоритет поиска по ID из базы</label>
										<div class="col-sm-12 settings-input-col">
											<div class="fields-list">
												<label>Kinopoisk, IMDb, World-Art (аниме), Kinorium, TMDB, Shikimori, MyDramaList</label>
											</div>
										</div>
										<span class="help-block">В таком приоритете идет поиск по базам</span>
									</div>
									
									<div class="form-group">
										<label>Только ссылка</label>
										<div class="col-sm-12 settings-input-col">
											<input type="checkbox" name="settings[only_url]" class="moduleField" value="1" <?=($this->config['only_url'] ? 'checked' : '')?>> Заполнять только поле с сылкой
										</div>
										<span class="help-block">Кроме поля с ссылкой другие поля не заполняются</span>
									</div>
									<div class="form-group">
										<label>Только новые</label>
										<div class="col-sm-12 settings-input-col">
											<input type="checkbox" name="settings[only_no_url]" class="moduleField" value="1" <?=($this->config['only_no_url'] ? 'checked' : '')?>> Проверять только новости без ссылки
										</div>
										<span class="help-block">Если в поле уже установлена ссылка, проверять не будет. Экономя время для проставлении</span>
									</div>

									<div class="form-group">
										<label for="moduleThreads">Новостей за один запрос</label>
										<div class="col-sm-4 settings-input-col">
											<select name="settings[cron_threads]" id="moduleThreads" class="form-control cdnm-replace-field">
												<option value="1"<?=($this->config['cron_threads'] == 1 ? ' selected' : '')?>>1</option>
												<option value="2"<?=($this->config['cron_threads'] == 2 ? ' selected' : '')?>>2</option>
												<option value="3"<?=($this->config['cron_threads'] == 3 ? ' selected' : '')?>>3</option>
												<option value="5"<?=($this->config['cron_threads'] == 5 ? ' selected' : '')?>>5</option>
												<option value="7"<?=($this->config['cron_threads'] == 7 ? ' selected' : '')?>>7</option>
												<option value="10"<?=($this->config['cron_threads'] == 10 ? ' selected' : '')?>>10</option>
											</select>
										</div>
										<span class="help-block">Выставите оптимальное кол-во обновляемых новостей за раз</span>
									</div>

									<div class="form-group">
										<label for="moduleInterval">Интервал</label>
										<div class="col-sm-4 settings-input-col">
											<select name="settings[cron_interval]" class="form-control cdnm-replace-field">
												<option value="0"<?=($this->config['cron_interval'] == 0 ? ' selected' : '')?>>0 сек</option>
												<option value="1"<?=($this->config['cron_interval'] == 1 ? ' selected' : '')?>>1 сек</option>
												<option value="2"<?=($this->config['cron_interval'] == 2 ? ' selected' : '')?>>2 сек</option>
												<option value="3"<?=($this->config['cron_interval'] == 3 ? ' selected' : '')?>>3 сек</option>
												<option value="4"<?=($this->config['cron_interval'] == 4 ? ' selected' : '')?>>4 сек</option>
												<option value="5"<?=($this->config['cron_interval'] == 5 ? ' selected' : '')?>>5 сек</option>
											</select>
										</div>
										<span class="help-block">Выставите оптимальный интервал между каждым последующим обновлением ссылки чтобы снизить нагрузку на базу данных<br><i>Рекомендуемое значение (<b>0 сек</b>)</i></span>
									</div>
								</td>
							</tr>
						</tbody>
					</table>

			</div>

			<div id="fields" class="panel panel-default tab" style="display:none">

				<div class="panel-heading">
					<h3 class="panel-title">Настройки вывода основных данных</h3>
				</div> 

			  <table class="table table-bordered" style="margin: 0;">
				<tbody>
				  <tr>
					<td width="50%">
                
								<div class="form-group">
									<label for="moduleFieldOutput">Вывод: Ссылка для вывода плеера в поле</label>
									<div class="col-sm-10 settings-input-col">
										<select name="settings[output]" id="moduleFieldOutput" class="form-control">
											<?php if ($this->fields['output']) foreach ($this->fields['output'] as $key => $value) {
												?><option value="<?=$key?>"<?=($key == $this->config['output'] ? ' selected' : '')?>><?=$value?></option><?php
											} ?>
										</select>
									</div>
									<span class="help-block">Выберите поле в которое вставлять сгенерированную ссылку</span>
								</div>
								
					</td>
					<td width="50%">
					
								<div class="form-group">
									<label for="moduleFieldOutputVoice">Вывод: Все переводы</label>
									<div class="col-sm-10 settings-input-col">
										<select name="settings[output_voice]" id="moduleFieldOutputVoice" class="form-control">
											<?php if ($this->fields['xf']) foreach ($this->fields['xf'] as $key => $value) {
												?><option value="<?=$key?>"<?=($key == $this->config['output_voice'] ? ' selected' : '')?>><?=$value?></option><?php
											} ?>
										</select>
										<input type="checkbox" name="settings[output_voice_all]" value="1"<?=($this->config['output_voice_all'] == 1 ? ' checked' : '')?>>
									Вставлять в поле все переводы фильмов<br>
									</div>
									<span class="help-block">Выберите поле в которое вставлять перевод фильма и все переводы для сериалов</span>
								</div>
								
					</td>
				  </tr>
				</tbody>
			  </table>
					
			  <table class="table table-bordered" style="margin: 0;">
				<tbody>
				  <tr>
					<td width="50%">

								<div class="form-group">
									<label for="moduleFieldOutputseason">Вывод: Сезон</label>
									<div class="col-sm-10 settings-input-col">
										<select name="settings[output_season]" id="moduleFieldOutputseason" class="form-control">
											<?php if ($this->fields['xf']) foreach ($this->fields['xf'] as $key => $value) {
												?><option value="<?=$key?>"<?=($key == $this->config['output_season'] ? ' selected' : '')?>><?=$value?></option><?php
											} ?>
										</select>
									</div>
									<span class="help-block">Выберите поле в которое вставлять номер сезона сериала</span>
								</div>
								
								<div class="form-group">
									<label for="moduleFieldOutputepisode">Вывод: Серия</label>
									<div class="col-sm-10 settings-input-col">
										<select name="settings[output_episode]" id="moduleFieldOutputepisode" class="form-control">
											<?php if ($this->fields['xf']) foreach ($this->fields['xf'] as $key => $value) {
												?><option value="<?=$key?>"<?=($key == $this->config['output_episode'] ? ' selected' : '')?>><?=$value?></option><?php
											} ?>
										</select>
									</div>
									<span class="help-block">Выберите поле в которое вставлять номер эпизода сериала</span>
								</div>
							
								<div class="form-group">
								  <label>Поднимать публикации</label>
								  <div class="col-sm-12 settings-input-col">
									<input type="checkbox" name="settings[up_news]" value="1"<?=($this->config['up_news'] == 1 ? ' checked' : '')?>>
									При обновлении качества фильма<br>
									<input type="checkbox" name="settings[up_news_serial]" value="1"<?=($this->config['up_news_serial'] == 1 ? ' checked' : '')?>>
									При выходе нового сезона/серии сериала<br>
									<input type="checkbox" name="settings[up_news_noreason]" value="1"<?=($this->config['up_news_noreason'] == 1 ? ' checked' : '')?>>
									Не заполнять поле "Причина редактирования"
									<br><br>
									<input type="checkbox" name="settings[up_news_cache]" value="1"<?=($this->config['up_news_cache'] == 1 ? ' checked' : '')?>>
										Очищать кеш новости и категорий
									<br><span class="help-block">По умолчанию очищает только кеш новости</span>
								  </div>
								</div>
								
					</td>
					<td width="50%">
																
								<div class="form-group">
									<label for="moduleFieldOutseasonFormat">Сезон: Формат вывода</label>
									<div class="col-sm-10 settings-input-col">
										<select name="settings[output_season_format]" id="moduleFieldOutseasonFormat" class="form-control">
											<option value=""<?=($this->config['output_season_format'] == '' ? ' selected' : '')?>>Номер сезона (1, 2, 3)</option>
											<option value="1"<?=($this->config['output_season_format'] == '1' ? ' selected' : '')?>>1 сезон, 2 сезон, 3 сезон</option>
											<option value="2"<?=($this->config['output_season_format'] == '2' ? ' selected' : '')?>>1 сезон, 1-2 сезон, 1-3 сезон</option>
											<option value="3"<?=($this->config['output_season_format'] == '3' ? ' selected' : '')?>>1 сезон, 1,2 сезон, 1,2,3 сезон</option>
										</select>
									</div>
									<span class="help-block">Выберите формат в котором будут выводиться сезоны</span>
								</div>
								
								<div class="form-group">
									<label for="moduleFieldOutepisodeFormat">Серия: Формат вывода</label>
									<div class="col-sm-10 settings-input-col">
										<select name="settings[output_episode_format]" id="moduleFieldOutepisodeFormat" class="form-control">
											<option value=""<?=($this->config['output_episode_format'] == '' ? ' selected' : '')?>>Номер серии (1, 2, 3)</option>
											<option value="1"<?=($this->config['output_episode_format'] == '1' ? ' selected' : '')?>>1 серия, 2 серия, 3 серия</option>
											<option value="2"<?=($this->config['output_episode_format'] == '2' ? ' selected' : '')?>>1 серия, 1-2 серия, 1-3 серия, 1-4 серия</option>
											<option value="3"<?=($this->config['output_episode_format'] == '3' ? ' selected' : '')?>>1 серия, 1,2 серия, 1,2,3 серия, 1,2,3,4 серия</option>
											<option value="4"<?=($this->config['output_episode_format'] == '4' ? ' selected' : '')?>>1 серия, 1,2 серия, 1,2,3 серия, 2,3,4 серия</option>
											<option value="5"<?=($this->config['output_episode_format'] == '5' ? ' selected' : '')?>>1,2 серия, 1,2,3 серия, 1,2,3,4,5 серия, 1-5,6,7 серия</option>
										</select>
									</div>
									<span class="help-block">Выберите формат в котором будут выводиться серии</span>
								</div>

								<div class="form-group">
									<label> +1 к серии</label>
									<div class="col-sm-12 settings-input-col">
										<input type="checkbox" name="settings[output_episode_plus]" class="moduleField" value="1" <?=($this->config['output_episode_plus'] ? 'checked' : '')?>> Добавить +1 к серии
									</div>
								</div>
								
								<div class="form-group">
									<label>Вывод: XFSEARCH - перекрестные ссылки в доп.полях</label>
									<div class="col-sm-12 settings-input-col">
										<input type="checkbox" name="settings[output_xfsearch_translit]" class="moduleField" value="1" <?=($this->config['output_xfsearch_translit'] ? 'checked' : '')?> /> Нужна транслитация<br>
									</div>
									<span class="help-block">Отметьте, если используете транслитацию перекресных ссылок (столбец в базе 'tagvalue_translit')</span>
								</div>

					</td>
				  </tr>
				</tbody>
			  </table>					
			  <table class="table table-bordered" style="margin: 0;">
				<tbody>
				  <tr>
					<td width="50%">
					
								<div class="form-group">
									<label for="moduleFieldOutputquality">Вывод: Качество</label>
									<div class="col-sm-10 settings-input-col">
										<select name="settings[output_quality]" id="moduleFieldOutputquality" class="form-control">
											<?php if ($this->fields['xf']) foreach ($this->fields['xf'] as $key => $value) {
												?><option value="<?=$key?>"<?=($key == $this->config['output_quality'] ? ' selected' : '')?>><?=$value?></option><?php
											} ?>
										</select>
									</div>
									<span class="help-block">Выберите текстовое поле в которое вставлять качество видео</span>
								</div>
								
					</td>
					<td width="50%">
								
								<div class="form-group">
									<label>Вывод: Качество + разрешение</label>
									<div class="col-sm-12 settings-input-col">
										<input type="checkbox" name="settings[output_quality_res]" class="moduleField" value="1" <?=($this->config['output_quality_res'] ? 'checked' : '')?> /> Добавлять к качеству 480p, 720p, 1080p<br>
									</div>
									<span class="help-block">Пример вывода: WEB-DL 1080p</span>
								</div>

					</td>
				  </tr>
				</tbody>
			  </table>
			  
				<div class="panel-heading">
					<h3 class="panel-title">Настройки вывода дополнительных данных <b>по умолчанию заполняет если доп.поле пустое</b></h3>
				</div> 

			  <table class="table table-bordered" style="margin: 0;">
				<tbody>
				  <tr>
					<td width="50%">
                
								<div class="form-group">
									<label for="moduleFieldOutputTitle">Вывод: Название видео</label>
									<div class="col-sm-10 settings-input-col">
										<select name="settings[output_title]" class="form-control">
											<?php if ($this->fields['title']) foreach ($this->fields['title'] as $key => $value) {
												?><option value="<?=$key?>"<?=($key == $this->config['output_title'] ? ' selected' : '')?>><?=$value?></option><?php
											} ?>
										</select>
										<input type="checkbox" name="settings[output_title_rw]" value="1"<?=($this->config['output_title_rw'] == 1 ? ' checked' : '')?>> Принудительно обновлять.
									</div>
									<span class="help-block">Выберите поле в которое вставлять название фильма</span>
								</div>
								
								<div class="form-group">
									<label>Вывод: Украинское название видео</label>
									<div class="col-sm-10 settings-input-col">
										<select name="settings[output_title_ua]" class="form-control">
											<?php if ($this->fields['title']) foreach ($this->fields['title'] as $key => $value) {
												?><option value="<?=$key?>"<?=($key == $this->config['output_title_ua'] ? ' selected' : '')?>><?=$value?></option><?php
											} ?>
										</select>
										<input type="checkbox" name="settings[output_title_ua_rw]" value="1"<?=($this->config['output_title_ua_rw'] == 1 ? ' checked' : '')?>> Принудительно обновлять.
									</div>
									<span class="help-block">Выберите поле в которое вставлять оригинальное название</span>
								</div>
								
								<div class="form-group">
									<label for="moduleFieldOutputYear">Вывод: Год выхода</label>
									<div class="col-sm-10 settings-input-col">
										<select name="settings[output_year]" id="moduleFieldOutputYear" class="form-control">
											<?php if ($this->fields['xf']) foreach ($this->fields['xf'] as $key => $value) {
												?><option value="<?=$key?>"<?=($key == $this->config['output_year'] ? ' selected' : '')?>><?=$value?></option><?php
											} ?>
										</select>
										<input type="checkbox" name="settings[output_year_rw]" value="1"<?=($this->config['output_year_rw'] == 1 ? ' checked' : '')?>> Принудительно обновлять.
									</div>
									<span class="help-block">Выберите поле в которое вставлять год</span>
								</div>
								
								<div class="form-group">
									<label>Вывод: Жанры</label>
									<div class="col-sm-10 settings-input-col">
										<select name="settings[output_ganre]" class="form-control">
											<?php if ($this->fields['xf']) foreach ($this->fields['xf'] as $key => $value) {
												?><option value="<?=$key?>"<?=($key == $this->config['output_ganre'] ? ' selected' : '')?>><?=$value?></option><?php
											} ?>
										</select>
										<input type="checkbox" name="settings[output_ganre_rw]" value="1"<?=($this->config['output_ganre_rw'] == 1 ? ' checked' : '')?>> Принудительно обновлять. 
									</div>
									<span class="help-block">Выберите поле в которое вставлять жанры</span>
								</div>
								
								<div class="form-group">
									<label>Вывод: Коллекции</label>
									<div class="col-sm-10 settings-input-col">
										<select name="settings[output_collections]" class="form-control">
											<?php if ($this->fields['xf']) foreach ($this->fields['xf'] as $key => $value) {
												?><option value="<?=$key?>"<?=($key == $this->config['output_collections'] ? ' selected' : '')?>><?=$value?></option><?php
											} ?>
										</select>
										<input type="checkbox" name="settings[output_collections_rw]" value="1"<?=($this->config['output_collections_rw'] == 1 ? ' checked' : '')?>> Принудительно обновлять/добавлять к заполенным вручную 
									</div>
									<span class="help-block">Выберите поле в которое вставлять коллекции</span>
								</div>
								
								<div class="form-group">
									<label>Вывод: Рейтинг Кинопоиск</label>
									<div class="col-sm-10 settings-input-col">
										<select name="settings[output_kinopoisk_rate]" class="form-control">
											<?php if ($this->fields['xf']) foreach ($this->fields['xf'] as $key => $value) {
												?><option value="<?=$key?>"<?=($key == $this->config['output_kinopoisk_rate'] ? ' selected' : '')?>><?=$value?></option><?php
											} ?>
										</select>
										<input type="checkbox" name="settings[output_kinopoisk_rate_rw]" value="1"<?=($this->config['output_kinopoisk_rate_rw'] == 1 ? ' checked' : '')?>> Принудительно обновлять.
									</div>
									<span class="help-block">Выберите поле в которое вставлять рейтинг Кинопоиск</span>
								</div>
								
								<div class="form-group">
									<label>Вывод: Рейтинг IMDb</label>
									<div class="col-sm-10 settings-input-col">
										<select name="settings[output_imdb_rate]" class="form-control">
											<?php if ($this->fields['xf']) foreach ($this->fields['xf'] as $key => $value) {
												?><option value="<?=$key?>"<?=($key == $this->config['output_imdb_rate'] ? ' selected' : '')?>><?=$value?></option><?php
											} ?>
										</select>
										<input type="checkbox" name="settings[output_imdb_rate_rw]" value="1"<?=($this->config['output_imdb_rate_rw'] == 1 ? ' checked' : '')?>> Принудительно обновлять.
									</div>
									<span class="help-block">Выберите поле в которое вставлять рейтинг IMDb</span>
								</div>
								
								<div class="form-group">
									<label>Вывод: Рейтинг TMDB</label>
									<div class="col-sm-10 settings-input-col">
										<select name="settings[output_tmdb_rate]" class="form-control">
											<?php if ($this->fields['xf']) foreach ($this->fields['xf'] as $key => $value) {
												?><option value="<?=$key?>"<?=($key == $this->config['output_tmdb_rate'] ? ' selected' : '')?>><?=$value?></option><?php
											} ?>
										</select>
										<input type="checkbox" name="settings[output_tmdb_rate_rw]" value="1"<?=($this->config['output_tmdb_rate_rw'] == 1 ? ' checked' : '')?>> Принудительно обновлять.
									</div>
									<span class="help-block">Выберите поле в которое вставлять рейтинг TMDB</span>
								</div>

								
					</td>
					<td width="50%">
								
								<div class="form-group">
									<label>Вывод: Оригинальное название видео</label>
									<div class="col-sm-10 settings-input-col">
										<select name="settings[output_title_orig]" class="form-control">
											<?php if ($this->fields['xf']) foreach ($this->fields['xf'] as $key => $value) {
												?><option value="<?=$key?>"<?=($key == $this->config['output_title_orig'] ? ' selected' : '')?>><?=$value?></option><?php
											} ?>
										</select>
										<input type="checkbox" name="settings[output_title_orig_rw]" value="1"<?=($this->config['output_title_orig_rw'] == 1 ? ' checked' : '')?>> Принудительно обновлять.
									</div>
									<span class="help-block">Выберите поле в которое вставлять оригинальное название</span>
								</div>
								
								<div class="form-group">
									<label for="moduleFieldOutputTitle">Вывод: Альтернативное название видео</label>
									<div class="col-sm-10 settings-input-col">
										<select name="settings[output_title_alt]" class="form-control">
											<?php if ($this->fields['xf']) foreach ($this->fields['xf'] as $key => $value) {
												?><option value="<?=$key?>"<?=($key == $this->config['output_title_alt'] ? ' selected' : '')?>><?=$value?></option><?php
											} ?>
										</select>
										<input type="checkbox" name="settings[output_title_alt_rw]" value="1"<?=($this->config['output_title_alt_rw'] == 1 ? ' checked' : '')?>> Принудительно обновлять.
									</div>
									<span class="help-block">Выберите поле в которое вставлять название фильма</span>
								</div>
								
								<div class="form-group">
									<label>Вывод: Продолжительность</label>
									<div class="col-sm-10 settings-input-col">
										<select name="settings[output_duration]" class="form-control">
											<?php if ($this->fields['xf']) foreach ($this->fields['xf'] as $key => $value) {
												?><option value="<?=$key?>"<?=($key == $this->config['output_duration'] ? ' selected' : '')?>><?=$value?></option><?php
											} ?>
										</select>
										<input type="checkbox" name="settings[output_duration_rw]" value="1"<?=($this->config['output_duration_rw'] == 1 ? ' checked' : '')?>> Принудительно обновлять.
									</div>
									<span class="help-block">Выберите поле в которое вставлять время продолжительности</span>
								</div>
								
								<div class="form-group">
									<label>Вывод: Выпущено (страна)</label>
									<div class="col-sm-10 settings-input-col">
										<select name="settings[output_country]" class="form-control">
											<?php if ($this->fields['xf']) foreach ($this->fields['xf'] as $key => $value) {
												?><option value="<?=$key?>"<?=($key == $this->config['output_country'] ? ' selected' : '')?>><?=$value?></option><?php
											} ?>
										</select>
										<input type="checkbox" name="settings[output_country_rw]" value="1"<?=($this->config['output_country_rw'] == 1 ? ' checked' : '')?>> Принудительно обновлять.
									</div>
									<span class="help-block">Выберите поле в которое вставлять страны где снимался фильм</span>
								</div>
								
								<div class="form-group">
									<label>Вывод: Слоган</label>
									<div class="col-sm-10 settings-input-col">
										<select name="settings[output_slogan]" class="form-control">
											<?php if ($this->fields['xf']) foreach ($this->fields['xf'] as $key => $value) {
												?><option value="<?=$key?>"<?=($key == $this->config['output_slogan'] ? ' selected' : '')?>><?=$value?></option><?php
											} ?>
										</select>
										<input type="checkbox" name="settings[output_slogan_rw]" value="1"<?=($this->config['output_slogan_rw'] == 1 ? ' checked' : '')?>> Принудительно обновлять.
									</div>
									<span class="help-block">Выберите поле в которое вставлять Слоган фильма</span>
								</div>
								
								<div class="form-group">
									<label>Вывод: Рейтинг Кинопоиск (Количество голосов)</label>
									<div class="col-sm-10 settings-input-col">
										<select name="settings[output_kinopoisk_rate_votes]" class="form-control">
											<?php if ($this->fields['xf']) foreach ($this->fields['xf'] as $key => $value) {
												?><option value="<?=$key?>"<?=($key == $this->config['output_kinopoisk_rate_votes'] ? ' selected' : '')?>><?=$value?></option><?php
											} ?>
										</select>
										<input type="checkbox" name="settings[output_kinopoisk_rate_votes_rw]" value="1"<?=($this->config['output_kinopoisk_rate_votes_rw'] == 1 ? ' checked' : '')?>> Принудительно обновлять.
									</div>
									<span class="help-block">Выберите поле в которое вставлять количество голосов Кинопоиск</span>
								</div>
								
								<div class="form-group">
									<label>Вывод: Рейтинг IMDb (Количество голосов)</label>
									<div class="col-sm-10 settings-input-col">
										<select name="settings[output_imdb_rate_votes]" class="form-control">
											<?php if ($this->fields['xf']) foreach ($this->fields['xf'] as $key => $value) {
												?><option value="<?=$key?>"<?=($key == $this->config['output_imdb_rate_votes'] ? ' selected' : '')?>><?=$value?></option><?php
											} ?>
										</select>
										<input type="checkbox" name="settings[output_imdb_rate_votes_rw]" value="1"<?=($this->config['output_imdb_rate_votes_rw'] == 1 ? ' checked' : '')?>> Принудительно обновлять.
									</div>
									<span class="help-block">Выберите поле в которое вставлять количество голосов IMDb</span>
								</div>
								
								<div class="form-group">
									<label>Вывод: Рейтинг TMDB (Количество голосов)</label>
									<div class="col-sm-10 settings-input-col">
										<select name="settings[output_tmdb_rate_votes]" class="form-control">
											<?php if ($this->fields['xf']) foreach ($this->fields['xf'] as $key => $value) {
												?><option value="<?=$key?>"<?=($key == $this->config['output_tmdb_rate_votes'] ? ' selected' : '')?>><?=$value?></option><?php
											} ?>
										</select>
										<input type="checkbox" name="settings[output_tmdb_rate_votes_rw]" value="1"<?=($this->config['output_tmdb_rate_votes_rw'] == 1 ? ' checked' : '')?>> Принудительно обновлять.
									</div>
									<span class="help-block">Выберите поле в которое вставлять количество голосов TMDB</span>
								</div>
								
					</td>
				  </tr>

				  <tr>
					<td width="50%">
								
								<div class="form-group" >
									<label>Вывод: Режисеры</label>
									<div class="col-sm-12 settings-input-col">
										<select name="settings[output_director]" class="form-control" style="display: inline-block; margin-right: 5.5%; width: 83.33%">
											<?php if ($this->fields['xf']) foreach ($this->fields['xf'] as $key => $value) {
												?><option value="<?=$key?>"<?=($key == $this->config['output_director'] ? ' selected' : '')?>><?=$value?></option><?php
											} ?>
										</select>
										<input type="text" name="settings[output_director_count]" class="form-control" style="float: right; width: 10%" value="<?=($this->config['output_director_count'] ? $this->config['output_director_count'] : 3)?>" placeholder="3">
										
										<input type="checkbox" name="settings[output_director_rw]" value="1"<?=($this->config['output_director_rw'] == 1 ? ' checked' : '')?>> Принудительно обновлять.
									</div>
									<span class="help-block">Выберите поле и какое количество перечислять</span>
								</div>
								
								<div class="form-group">
									<label>Вывод: Продюссеры</label>
									<div class="col-sm-12 settings-input-col">
										<select name="settings[output_producer]" class="form-control" style="display: inline-block; margin-right: 5.5%; width: 83.33%">
											<?php if ($this->fields['xf']) foreach ($this->fields['xf'] as $key => $value) {
												?><option value="<?=$key?>"<?=($key == $this->config['output_producer'] ? ' selected' : '')?>><?=$value?></option><?php
											} ?>
										</select>
										<input type="text" name="settings[output_producer_count]" class="form-control" style="float: right; width: 10%" value="<?=($this->config['output_producer_count'] ? $this->config['output_producer_count'] : 3)?>" placeholder="3">
										
										<input type="checkbox" name="settings[output_producer_rw]" value="1"<?=($this->config['output_producer_rw'] == 1 ? ' checked' : '')?>> Принудительно обновлять.
									</div>
									<span class="help-block">Выберите поле и какое количество перечислять</span>
								</div>
								
								<div class="form-group">
									<label>Вывод: Переводчики</label>
									<div class="col-sm-12 settings-input-col">
										<select name="settings[output_translator]" class="form-control" style="display: inline-block; margin-right: 5.5%; width: 83.33%">
											<?php if ($this->fields['xf']) foreach ($this->fields['xf'] as $key => $value) {
												?><option value="<?=$key?>"<?=($key == $this->config['output_translator'] ? ' selected' : '')?>><?=$value?></option><?php
											} ?>
										</select>
										<input type="text" name="settings[output_translator_count]" class="form-control" style="float: right; width: 10%" value="<?=($this->config['output_translator_count'] ? $this->config['output_translator_count'] : 3)?>" placeholder="3">
										
										<input type="checkbox" name="settings[output_translator_rw]" value="1"<?=($this->config['output_translator_rw'] == 1 ? ' checked' : '')?>> Принудительно обновлять.
									</div>
									<span class="help-block">Выберите поле и какое количество перечислять</span>
								</div>
								
								<div class="form-group">
									<label>Вывод: Операторы</label>
									<div class="col-sm-12 settings-input-col">
										<select name="settings[output_operator]" class="form-control" style="display: inline-block; margin-right: 5.5%; width: 83.33%">
											<?php if ($this->fields['xf']) foreach ($this->fields['xf'] as $key => $value) {
												?><option value="<?=$key?>"<?=($key == $this->config['output_operator'] ? ' selected' : '')?>><?=$value?></option><?php
											} ?>
										</select>
										<input type="text" name="settings[output_operator_count]" class="form-control" style="float: right; width: 10%" value="<?=($this->config['output_operator_count'] ? $this->config['output_operator_count'] : 3)?>" placeholder="3">
										
										<input type="checkbox" name="settings[output_operator_rw]" value="1"<?=($this->config['output_operator_rw'] == 1 ? ' checked' : '')?>> Принудительно обновлять.
									</div>
									<span class="help-block">Выберите поле и какое количество перечислять</span>
								</div>
								
								<div class="form-group">
									<label>Вывод: Художники</label>
									<div class="col-sm-12 settings-input-col">
										<select name="settings[output_design]" class="form-control" style="display: inline-block; margin-right: 5.5%; width: 83.33%">
											<?php if ($this->fields['xf']) foreach ($this->fields['xf'] as $key => $value) {
												?><option value="<?=$key?>"<?=($key == $this->config['output_design'] ? ' selected' : '')?>><?=$value?></option><?php
											} ?>
										</select>
										<input type="text" name="settings[output_design_count]" class="form-control" style="float: right; width: 10%" value="<?=($this->config['output_design_count'] ? $this->config['output_design_count'] : 3)?>" placeholder="3">
										
										<input type="checkbox" name="settings[output_design_rw]" value="1"<?=($this->config['output_design_rw'] == 1 ? ' checked' : '')?>> Принудительно обновлять.
									</div>
									<span class="help-block">Выберите поле и какое количество перечислять</span>
								</div>
								
					</td>
					<td width="50%">
								
								<div class="form-group">
									<label>Вывод: Актеры</label>
									<div class="col-sm-12 settings-input-col">
										<select name="settings[output_actors]" class="form-control" style="display: inline-block; margin-right: 5.5%; width: 83.33%">
											<?php if ($this->fields['xf']) foreach ($this->fields['xf'] as $key => $value) {
												?><option value="<?=$key?>"<?=($key == $this->config['output_actors'] ? ' selected' : '')?>><?=$value?></option><?php
											} ?>
										</select>
										<input type="text" name="settings[output_actors_count]" class="form-control" style="float: right; width: 10%" value="<?=($this->config['output_actors_count'] ? $this->config['output_actors_count'] : 10)?>" placeholder="10">
										
										<input type="checkbox" name="settings[output_actors_rw]" value="1"<?=($this->config['output_actors_rw'] == 1 ? ' checked' : '')?>> Принудительно обновлять.
									</div>
									<span class="help-block">Выберите поле и какое количество перечислять</span>
								</div>
								
								<div class="form-group">
									<label>Вывод: Режисеры дубляжа</label>
									<div class="col-sm-12 settings-input-col">
										<select name="settings[output_voice_director]" class="form-control" style="display: inline-block; margin-right: 5.5%; width: 83.33%">
											<?php if ($this->fields['xf']) foreach ($this->fields['xf'] as $key => $value) {
												?><option value="<?=$key?>"<?=($key == $this->config['output_voice_director'] ? ' selected' : '')?>><?=$value?></option><?php
											} ?>
										</select>
										<input type="text" name="settings[output_voice_director_count]" class="form-control" style="float: right; width: 10%" value="<?=($this->config['output_voice_director_count'] ? $this->config['output_voice_director_count'] : 3)?>" placeholder="3">
										
										<input type="checkbox" name="settings[output_voice_director_rw]" value="1"<?=($this->config['output_voice_director_rw'] == 1 ? ' checked' : '')?>> Принудительно обновлять.
									</div>
									<span class="help-block">Выберите поле и какое количество перечислять</span>
								</div>
								
								<div class="form-group">
									<label>Вывод: Сценаристы</label>
									<div class="col-sm-12 settings-input-col">
										<select name="settings[output_writer]" class="form-control" style="display: inline-block; margin-right: 5.5%; width: 83.33%">
											<?php if ($this->fields['xf']) foreach ($this->fields['xf'] as $key => $value) {
												?><option value="<?=$key?>"<?=($key == $this->config['output_writer'] ? ' selected' : '')?>><?=$value?></option><?php
											} ?>
										</select>
										<input type="text" name="settings[output_writer_count]" class="form-control" style="float: right; width: 10%" value="<?=($this->config['output_writer_count'] ? $this->config['output_writer_count'] : 3)?>" placeholder="3">
										
										<input type="checkbox" name="settings[output_writer_rw]" value="1"<?=($this->config['output_writer_rw'] == 1 ? ' checked' : '')?>> Принудительно обновлять.
									</div>
									<span class="help-block">Выберите поле и какое количество перечислять</span>
								</div>
								
								<div class="form-group">
									<label>Вывод: Композиторы</label>
									<div class="col-sm-12 settings-input-col">
										<select name="settings[output_composer]" class="form-control" style="display: inline-block; margin-right: 5.5%; width: 83.33%">
											<?php if ($this->fields['xf']) foreach ($this->fields['xf'] as $key => $value) {
												?><option value="<?=$key?>"<?=($key == $this->config['output_composer'] ? ' selected' : '')?>><?=$value?></option><?php
											} ?>
										</select>
										<input type="text" name="settings[output_composer_count]" class="form-control" style="float: right; width: 10%" value="<?=($this->config['output_composer_count'] ? $this->config['output_composer_count'] : 3)?>" placeholder="3">
										
										<input type="checkbox" name="settings[output_composer_rw]" value="1"<?=($this->config['output_composer_rw'] == 1 ? ' checked' : '')?>> Принудительно обновлять.
									</div>
									<span class="help-block">Выберите поле и какое количество перечислять</span>
								</div>
								
								<div class="form-group">
									<label>Вывод: Монтажеры</label>
									<div class="col-sm-12 settings-input-col">
										<select name="settings[output_editor]" class="form-control" style="display: inline-block; margin-right: 5.5%; width: 83.33%">
											<?php if ($this->fields['xf']) foreach ($this->fields['xf'] as $key => $value) {
												?><option value="<?=$key?>"<?=($key == $this->config['output_editor'] ? ' selected' : '')?>><?=$value?></option><?php
											} ?>
										</select>
										<input type="text" name="settings[output_editor_count]" class="form-control" style="float: right; width: 10%" value="<?=($this->config['output_editor_count'] ? $this->config['output_editor_count'] : 3)?>" placeholder="3">
										
										<input type="checkbox" name="settings[output_editor_rw]" value="1"<?=($this->config['output_editor_rw'] == 1 ? ' checked' : '')?>> Принудительно обновлять.
									</div>
									<span class="help-block">Выберите поле и какое количество перечислять</span>
								</div>
					</td>
				  </tr>
				  <tr>
					<td width="50%">
					
								<div class="form-group">
									<label>Вывод: Возрастной рейтинг</label>
									<div class="col-sm-10 settings-input-col">
										<select name="settings[output_age]" class="form-control">
											<?php if ($this->fields['xf']) foreach ($this->fields['xf'] as $key => $value) {
												?><option value="<?=$key?>"<?=($key == $this->config['output_age'] ? ' selected' : '')?>><?=$value?></option><?php
											} ?>
										</select>
										<input type="checkbox" name="settings[output_age_rw]" value="1"<?=($this->config['output_age_rw'] == 1 ? ' checked' : '')?>> Принудительно обновлять.
									</div>
									<span class="help-block">Выберите поле в которое вставлять возрастной рейтинг видео</span>
								</div>
                
								<div class="form-group">
									<label>Вывод: Дата премьеры Мир</label>
									<div class="col-sm-10 settings-input-col">
										<select name="settings[output_premier_mir]" class="form-control">
											<?php if ($this->fields['xf']) foreach ($this->fields['xf'] as $key => $value) {
												?><option value="<?=$key?>"<?=($key == $this->config['output_premier_mir'] ? ' selected' : '')?>><?=$value?></option><?php
											} ?>
										</select>
										<input type="checkbox" name="settings[output_premier_mir_rw]" value="1"<?=($this->config['output_premier_mir_rw'] == 1 ? ' checked' : '')?>> Принудительно обновлять.
									</div>
									<span class="help-block">Выберите поле в которое вставлять дату премьеры в мире</span>
								</div>
								
								<div class="form-group">
									<label>Вывод: Бюджет</label>
									<div class="col-sm-10 settings-input-col">
										<select name="settings[output_budget]" class="form-control">
											<?php if ($this->fields['xf']) foreach ($this->fields['xf'] as $key => $value) {
												?><option value="<?=$key?>"<?=($key == $this->config['output_budget'] ? ' selected' : '')?>><?=$value?></option><?php
											} ?>
										</select>
										<input type="checkbox" name="settings[output_budget_rw]" value="1"<?=($this->config['output_budget_rw'] == 1 ? ' checked' : '')?>> Принудительно обновлять.
									</div>
									<span class="help-block">Выберите поле в которое вставлять бюджет картины</span>
								</div>
								
								<div class="form-group">
									<label>Вывод: Сборы Мир</label>
									<div class="col-sm-10 settings-input-col">
										<select name="settings[output_feels_world]" class="form-control">
											<?php if ($this->fields['xf']) foreach ($this->fields['xf'] as $key => $value) {
												?><option value="<?=$key?>"<?=($key == $this->config['output_feels_world'] ? ' selected' : '')?>><?=$value?></option><?php
											} ?>
										</select>
										<input type="checkbox" name="settings[output_feels_world_rw]" value="1"<?=($this->config['output_feels_world_rw'] == 1 ? ' checked' : '')?>> Принудительно обновлять.
									</div>
									<span class="help-block">Выберите поле в которое вставлять сборы</span>
								</div>
								
					</td>
					<td width="50%">
								
								<div class="form-group">
									<label>Вывод: Возрастной рейтинг MPAA</label>
									<div class="col-sm-10 settings-input-col">
										<select name="settings[output_mpaa]" class="form-control">
											<?php if ($this->fields['xf']) foreach ($this->fields['xf'] as $key => $value) {
												?><option value="<?=$key?>"<?=($key == $this->config['output_mpaa'] ? ' selected' : '')?>><?=$value?></option><?php
											} ?>
										</select>
										<input type="checkbox" name="settings[output_mpaa_rw]" value="1"<?=($this->config['output_mpaa_rw'] == 1 ? ' checked' : '')?>> Принудительно обновлять.
									</div>
									<span class="help-block">Выберите поле в которое вставлять возрастной рейтинг видео</span>
								</div>
								
								<div class="form-group">
									<label>Вывод: Дата премьеры РФ</label>
									<div class="col-sm-10 settings-input-col">
										<select name="settings[output_premier_rf]" class="form-control">
											<?php if ($this->fields['xf']) foreach ($this->fields['xf'] as $key => $value) {
												?><option value="<?=$key?>"<?=($key == $this->config['output_premier_rf'] ? ' selected' : '')?>><?=$value?></option><?php
											} ?>
										</select>
										<input type="checkbox" name="settings[output_premier_rf_rw]" value="1"<?=($this->config['output_premier_rf_rw'] == 1 ? ' checked' : '')?>> Принудительно обновлять.
									</div>
									<span class="help-block">Выберите поле в которое вставлять дата премьеры в РФ</span>
								</div>
								
								<div class="form-group">
									<label>Вывод: Сборы США</label>
									<div class="col-sm-10 settings-input-col">
										<select name="settings[output_feels_usa]" class="form-control">
											<?php if ($this->fields['xf']) foreach ($this->fields['xf'] as $key => $value) {
												?><option value="<?=$key?>"<?=($key == $this->config['output_feels_usa'] ? ' selected' : '')?>><?=$value?></option><?php
											} ?>
										</select>
										<input type="checkbox" name="settings[output_feels_usa_rw]" value="1"<?=($this->config['output_feels_usa_rw'] == 1 ? ' checked' : '')?>> Принудительно обновлять.
									</div>
									<span class="help-block">Выберите поле в которое вставлять сборы</span>
								</div>

								<div class="form-group">
									<label>Вывод: Сборы РФ</label>
									<div class="col-sm-10 settings-input-col">
										<select name="settings[output_feels_russia]" class="form-control">
											<?php if ($this->fields['xf']) foreach ($this->fields['xf'] as $key => $value) {
												?><option value="<?=$key?>"<?=($key == $this->config['output_feels_russia'] ? ' selected' : '')?>><?=$value?></option><?php
											} ?>
										</select>
										<input type="checkbox" name="settings[output_feels_russia_rw]" value="1"<?=($this->config['output_feels_russia_rw'] == 1 ? ' checked' : '')?>> Принудительно обновлять.
									</div>
									<span class="help-block">Выберите поле в которое вставлять сборы</span>
								</div>
								

					</td>
				  </tr>
				  <tr>
					<td width="50%">
                
								<div class="form-group">
									<label>Вывод: Знаете ли Вы, что...</label>
									<div class="col-sm-12 settings-input-col">
										<select name="settings[output_trivia]" class="form-control" style="display: inline-block; margin-right: 5.5%; width: 83.33%">
											<?php if ($this->fields['xf']) foreach ($this->fields['xf'] as $key => $value) {
												?><option value="<?=$key?>"<?=($key == $this->config['output_trivia'] ? ' selected' : '')?>><?=$value?></option><?php
											} ?>
										</select>
										<input type="text" name="settings[output_trivia_count]" class="form-control" style="float: right; width: 10%" value="<?=($this->config['output_trivia_count'] ? $this->config['output_trivia_count'] : 10)?>" placeholder="10">
										
										<input type="checkbox" name="settings[output_trivia_rw]" value="1"<?=($this->config['output_trivia_rw'] == 1 ? ' checked' : '')?>> Принудительно обновлять.
									</div>
									<span class="help-block">Выберите поле для вывода списка и сколько элементов перечислять</span>
								</div>
								
					</td>
					<td width="50%">
								
								<div class="form-group">
									<label>Обертка и отступ: Знаете ли Вы, что...</label>
									<div class="col-sm-12 settings-input-col">
										<input type="text" name="settings[output_trivia_prefix]" class="form-control" style="float: left; width: 30%" value="<?=($this->config['output_trivia_prefix'])?>" placeholder="[i]">
										<input type="text" name="settings[output_trivia_sufix]" class="form-control" style="float: left; width: 30%; margin: 0 5%;" value="<?=($this->config['output_trivia_sufix'])?>" placeholder="[/i]">
										<input type="text" name="settings[output_trivia_spacer]" class="form-control" style="float: left; width: 30%" value="<?=($this->config['output_trivia_spacer'])?>" placeholder="<br>* * *<br>">
									</div>
									<span class="help-block">Суфикс, префикс и отступ между строк<br>Можно использовать bb-коды или html-теги</span>
								</div>

					</td>
				  </tr>
				</tbody>
			  </table>
			  
				<div class="panel-heading">
					<h3 class="panel-title">Настройки сохранения описания видео (редактор bbcodes) - <b>сохраняет если есть описание</b></h3>
				</div> 
				
			  <table class="table table-bordered" style="margin: 0;">
				<tbody>
				  <tr>
					<td width="50%">
								
								<div class="form-group">
									<label>Краткое описание: Количество символов</label>
									<div class="col-sm-10 settings-input-col">
										<input type="text" name="settings[output_shortstory_limit]" class="form-control" value="<?=($this->config['output_shortstory_limit'])?>" placeholder="300" />
									</div>
									<span class="help-block">0 - краткое описаание не будет добавляться</span>
								</div>
								
								<div class="form-group">
									<label>Полное описание добавляется полностью</label>
									<div class="col-sm-10 settings-input-col">
										<input type="checkbox" name="settings[output_not_fullstory]" value="1"<?=($this->config['output_not_fullstory'] == 1 ? ' checked' : '')?>> Не добавлять полное описание.
									</div>
								</div>
								
					</td>
					<td width="50%">
					
								<div class="form-group">
									<label>Краткое описание: Добавлять после текста</label>
									<div class="col-sm-10 settings-input-col">
										<input type="text" name="settings[output_shortstory_end]" class="form-control" value="<?=($this->config['output_shortstory_end'])?>" placeholder="..." />
									</div>
									<span class="help-block">Укажите текст, который будет добавлен в конце обрезанного текста. <br>Пример: ...</span>
								</div>
							
					</td>
				  </tr>
				</tbody>
			  </table>
			  
				<div class="panel-heading">
					<h3 class="panel-title">Настройки сохранения постера - <b>сохраняет если есть постер</b></h3>
				</div> 
				
			  <table class="table table-bordered" style="margin: 0;">
				<tbody>
				  <tr>
					<td width="50%">

								<div class="form-group">
									<label>Вывод: Постер</label>
									<div class="col-sm-10 settings-input-col">
										<select name="settings[output_poster]" class="form-control">
											<?php if ($this->fields['xf']) foreach ($this->fields['xf'] as $key => $value) {
												?><option value="<?=$key?>"<?=($key == $this->config['output_poster'] ? ' selected' : '')?>><?=$value?></option><?php
											} ?>
										</select>
									</div>
									<span class="help-block">Выберите поле в которое вставлять ссылку сохраненного постера<br>Размер сохраняемого постера берется из настроек ДЛЕ</span>
								</div>
								
								<div class="form-group">
									<label>Нет постера</label>
									<div class="col-sm-10 settings-input-col">
										<input type="text" name="settings[output_poster_no]" class="form-control" value="<?=($this->config['output_poster_no'])?>" placeholder="/uploads/no_poster.jpg" />
									</div>
									<span class="help-block">Необходимо указать, путь к заглушке постера</span>
								</div>
								
					</td>
					<td width="50%">
					
<?php
$poster_size = array(
	'large' => 'Большой (500х750)',
	'medium' => 'Средний (300х450)',
	'small' => 'Маленький (100х150)'
);
?>
								<div class="form-group">
									<label>Размер постера из апи</label>
									<div class="col-sm-10 settings-input-col">
										<select name="settings[output_poster_size]" class="form-control">
											<?php if ($poster_size) foreach ($poster_size as $key => $value) {
												?><option value="<?=$key?>"<?=($key == $this->config['output_poster_size'] ? ' selected' : '')?>><?=$value?></option><?php
											} ?>
										</select>
									</div>
									<span class="help-block">Выберите какой размер постера использовать</span>
								</div>
							
					</td>
				  </tr>
				</tbody>
			  </table>
			  
				<div class="panel-heading">
					<h3 class="panel-title">Настройки сохранения кадров - <b>сохраняет если есть кадры</b></h3>
				</div> 
				
			  <table class="table table-bordered" style="margin: 0;">
				<tbody>
				  <tr>
					<td width="50%">

								<div class="form-group">
									<label>Вывод: Кадры (5шт)</label>
									<div class="col-sm-10 settings-input-col">
										<select name="settings[output_screen]" class="form-control">
											<?php if ($this->fields['xf']) foreach ($this->fields['xf'] as $key => $value) {
												?><option value="<?=$key?>"<?=($key == $this->config['output_screen'] ? ' selected' : '')?>><?=$value?></option><?php
											} ?>
										</select>
									</div>
									<span class="help-block">Выберите поле галереи в которое вставлять кадры</span>
								</div>

								
					</td>
					<td width="50%">
					
<?php
$screens_size = array(
	'large' => 'Большой (1920х1080)',
	'small' => 'Маленький (480х270)'
);
?>
								<div class="form-group">
									<label>Размер кадров из апи</label>
									<div class="col-sm-10 settings-input-col">
										<select name="settings[output_screen_size]" class="form-control">
											<?php if ($screens_size) foreach ($screens_size as $key => $value) {
												?><option value="<?=$key?>"<?=($key == $this->config['output_screen_size'] ? ' selected' : '')?>><?=$value?></option><?php
											} ?>
										</select>
									</div>
									<span class="help-block">Выберите какой размер кадров использовать</span>
								</div>
							
					</td>
				  </tr>
				</tbody>
			  </table>
			  
			</div>
			
			<div id="cats" class="panel panel-default tab" style="display:none">
			  
				<div class="panel-heading">
					<h3 class="panel-title">Настройки категорий</h3>
				</div> 
				
			  <table class="table table-bordered" style="margin: 0;">
				<tbody>
				  <tr>
				    <td width="50%">
					
								<div class="form-group">
									<label>Категория: Фильмы</label>
									<div class="col-sm-10 settings-input-col">
										<select name="settings[output_cat_1]" class="form-control">
											<?=(CategoryNewsSelection(array($this->config['output_cat_1']), 0))?>
										</select>

									</div>
								</div>
					</td>
					<td width="50%">
						Ниже выберите категории по жанрам (если не нужны категории по жанрам, выбирать не нужно).
					</td>
				  </tr>
				  <tr>
					 <td width="100%" colspan="2">
			  <table class="table table-bordered" style="margin: 0;">
				<tbody>
				  <tr>
<?php
$cat_count = count($this->ganres);
$cat_num = 0;
$ganres_cat_1 = explode(',', $this->config['ganres_cat_1']);
foreach ($this->ganres as $key => $cat) {
	echo <<<HTML
				  
					<td width="20%">
						<div class="form-group">
							<label>{$cat}</label>
							<div class="col-sm-11 settings-input-col">
								<input type="text" name="settings[ganres_cat_1][{$key}]" class="form-control" value="{$ganres_cat_1[$key]}" placeholder="ID категории">
							</div>
						</div>
					</td>

HTML;
	$cat_num++;
	if ($cat_num % 5 == 0 && $cat_num != $cat_count) echo '</tr><tr>';
}
?>
				  </tr>
				</tbody>
			  </table>
					</td>
				  </tr>

				  <tr>
				    <td width="50%">					
								<div class="form-group">
									<label>Категория: Сериалы</label>
									<div class="col-sm-10 settings-input-col">
										<select name="settings[output_cat_2]" class="form-control">
											<?=(CategoryNewsSelection(array($this->config['output_cat_2']), 0))?>
										</select>

									</div>
								</div>
					</td>
					<td width="50%">
						Ниже выберите категории по жанрам (если не нужны категории по жанрам, выбирать не нужно).
					</td>
				  </tr>
				  <tr>
					 <td width="100%" colspan="2">
			  <table class="table table-bordered" style="margin: 0;">
				<tbody>
				  <tr>
<?php
$cat_num = 0;
$ganres_cat_2 = explode(',', $this->config['ganres_cat_2']);
foreach ($this->ganres as $key => $cat) {
	echo <<<HTML
				  
					<td width="20%">
						<div class="form-group">
							<label>{$cat}</label>
							<div class="col-sm-11 settings-input-col">
								<input type="text" name="settings[ganres_cat_2][{$key}]" class="form-control" value="{$ganres_cat_2[$key]}" placeholder="ID категории">
							</div>
						</div>
					</td>

HTML;
	$cat_num++;
	if ($cat_num % 5 == 0 && $cat_num != $cat_count) echo '</tr><tr>';
}
?>
				  </tr>
				</tbody>
			  </table>
					</td>
				  </tr>

				  <tr>
				    <td width="50%">
								<div class="form-group">
									<label>Категория: Мультфильмы</label>
									<div class="col-sm-10 settings-input-col">
										<select name="settings[output_cat_3]" class="form-control">
											<?=(CategoryNewsSelection(array($this->config['output_cat_3']), 0))?>
										</select>

									</div>
								</div>
					</td>
					<td width="50%">
						Ниже выберите категории по жанрам (если не нужны категории по жанрам, выбирать не нужно).
					</td>
				  </tr>
				  <tr>
					 <td width="100%" colspan="2">
			  <table class="table table-bordered" style="margin: 0;">
				<tbody>
				  <tr>
<?php
$cat_num = 0;
$ganres_cat_3 = explode(',', $this->config['ganres_cat_3']);
foreach ($this->ganres as $key => $cat) {
	echo <<<HTML
				  
					<td width="20%">
						<div class="form-group">
							<label>{$cat}</label>
							<div class="col-sm-11 settings-input-col">
								<input type="text" name="settings[ganres_cat_3][{$key}]" class="form-control" value="{$ganres_cat_3[$key]}" placeholder="ID категории">
							</div>
						</div>
					</td>

HTML;
	$cat_num++;
	if ($cat_num % 5 == 0 && $cat_num != $cat_count) echo '</tr><tr>';
}
?>
				  </tr>
				</tbody>
			  </table>
					</td>
				  </tr>

				  <tr>
				    <td width="50%">
								<div class="form-group">
									<label>Категория: Мультсерилы</label>
									<div class="col-sm-10 settings-input-col">
										<select name="settings[output_cat_4]" class="form-control">
											<?=(CategoryNewsSelection(array($this->config['output_cat_4']), 0))?>
										</select>

									</div>
								</div>
					</td>
					<td width="50%">
						Ниже выберите категории по жанрам (если не нужны категории по жанрам, выбирать не нужно).
					</td>
				  </tr>
				  <tr>
					 <td width="100%" colspan="2">
			  <table class="table table-bordered" style="margin: 0;">
				<tbody>
				  <tr>
<?php
$cat_num = 0;
$ganres_cat_4 = explode(',', $this->config['ganres_cat_4']);
foreach ($this->ganres as $key => $cat) {
	echo <<<HTML
				  
					<td width="20%">
						<div class="form-group">
							<label>{$cat}</label>
							<div class="col-sm-11 settings-input-col">
								<input type="text" name="settings[ganres_cat_4][{$key}]" class="form-control" value="{$ganres_cat_4[$key]}" placeholder="ID категории">
							</div>
						</div>
					</td>

HTML;
	$cat_num++;
	if ($cat_num % 5 == 0 && $cat_num != $cat_count) echo '</tr><tr>';
}
?>
				  </tr>
				</tbody>
			  </table>
					</td>
				  </tr>

				  <tr>
				    <td width="50%">
								<div class="form-group">
									<label>Категория: Аниме</label>
									<div class="col-sm-10 settings-input-col">
										<select name="settings[output_cat_5]" class="form-control">
											<?=(CategoryNewsSelection(array($this->config['output_cat_5']), 0))?>
										</select>

									</div>
								</div>
					</td>
					<td width="50%">
						Ниже выберите категории по жанрам (если не нужны категории по жанрам, выбирать не нужно).
					</td>
				  </tr>
				  <tr>
					 <td width="100%" colspan="2">
			  <table class="table table-bordered" style="margin: 0;">
				<tbody>
				  <tr>
<?php
$cat_num = 0;
$ganres_cat_5 = explode(',', $this->config['ganres_cat_5']);
foreach ($this->ganres as $key => $cat) {
	echo <<<HTML
				  
					<td width="20%">
						<div class="form-group">
							<label>{$cat}</label>
							<div class="col-sm-11 settings-input-col">
								<input type="text" name="settings[ganres_cat_5][{$key}]" class="form-control" value="{$ganres_cat_5[$key]}" placeholder="ID категории">
							</div>
						</div>
					</td>

HTML;
	$cat_num++;
	if ($cat_num % 5 == 0 && $cat_num != $cat_count) echo '</tr><tr>';
}
?>
				  </tr>
				</tbody>
			  </table>
					</td>
				  </tr>

				  <tr>
				    <td width="50%">
								<div class="form-group">
									<label>Категория: Аниме-сериалы</label>
									<div class="col-sm-10 settings-input-col">
										<select name="settings[output_cat_6]" class="form-control">
											<?=(CategoryNewsSelection(array($this->config['output_cat_6']), 0))?>
										</select>

									</div>
								</div>
					</td>
					<td width="50%">
						Ниже выберите категории по жанрам (если не нужны категории по жанрам, выбирать не нужно).
					</td>
				  </tr>
				  <tr>
					 <td width="100%" colspan="2">
			  <table class="table table-bordered" style="margin: 0;">
				<tbody>
				  <tr>
<?php
$cat_num = 0;
$ganres_cat_6 = explode(',', $this->config['ganres_cat_6']);
foreach ($this->ganres as $key => $cat) {
	echo <<<HTML
				  
					<td width="20%">
						<div class="form-group">
							<label>{$cat}</label>
							<div class="col-sm-11 settings-input-col">
								<input type="text" name="settings[ganres_cat_6][{$key}]" class="form-control" value="{$ganres_cat_6[$key]}" placeholder="ID категории">
							</div>
						</div>
					</td>

HTML;
	$cat_num++;
	if ($cat_num % 5 == 0 && $cat_num != $cat_count) echo '</tr><tr>';
}
?>
				  </tr>
				</tbody>
			  </table>
					</td>
				  </tr>
				</tbody>
			  </table>
			
			</div>
			
			<div id="quality" class="panel panel-default tab" style="display:none">

				<div class="panel-heading">
				  <h3 class="panel-title">Настройки замены качества. Пустые значения не сохраняются - <a href="#" style="color:red;font-weight:bold" onclick="AddQuality('replace_q'); return false;" class="tip">добавить</a></h3>
				  <small style="padding-left: 10px">Пример замены: <br>FullHD => HD</small>
				</div>

				<table class="table table-bordered" style="margin: 0;">
				  <tbody>
				  <tr>
					<td>
					  <div id="replace_q" class="form-group">
						  <?php                   
						  if($this->config['api_token'] == '') {
							echo "<div class=\"alert alert-danger\" role=\"alert\" style=\"margin-bottom: 0;\">Для выполнения операции требуется указать API ключ!</div>";
						  } else {
							 
							 if ($this->config['replace_q'] != '') {                     
							   echo "<div class=\"cdnm-qualities-list\">";
								   $replace_q = explode("##", $this->config['replace_q']);
								   foreach ($replace_q as $qitem) {
									  $q_arr = explode(";", $qitem);
									  echo "
									  <div class=\"input-group\">
										<span class=\"input-group-addon\">{$q_arr[0]}
										  <span class=\"input-group-addon-del\">x</span>
										</span>
										<input name=\"replace_q_arr[{$q_arr[0]}]\" value=\"{$q_arr[1]}\" type=\"text\" class=\"form-control\">
									  </div>
									  ";
								   }
							   echo "</div>";
							 } else echo "<div class=\"cdnm-qualities-list\"><div class=\"alert alert-danger\">Пока нет ни одного значения качества.</div></div>";
						   
						  }
						  ?>                
					  </div>

					</td>
				  </tr>
				  </tbody>
				</table>
				
				<div class="panel-heading">
				  <h3 class="panel-title">Настройки замены текста озвучки. Пустые значения сохраняются - <a href="#" style="color:red;font-weight:bold" onclick="AddQuality('replace_s'); return false;" class="tip">добавить</a></h3>
				  <small style="padding-left: 10px">Пример замены: <br>Профессиональный => Проф.<br>Закадровый => (оставив поле пустым, это слово удалится из озвучки)<br>Оригинал => Не требуется</small>
				</div>

				<table class="table table-bordered" style="margin: 0;">
				  <tbody>
				  <tr>
					<td>
					  <div id="replace_s" class="form-group">
						  <?php                   
						  if($this->config['api_token'] == '') {
							echo "<div class=\"alert alert-danger\" role=\"alert\" style=\"margin-bottom: 0;\">Для выполнения операции требуется указать API ключ!</div>";
						  } else {
							 
							 if ($this->config['replace_s'] != '') {                     
							   echo "<div class=\"cdnm-qualities-list\">";                       
								   $replace_s = explode("##", $this->config['replace_s']);
								   foreach ($replace_s as $qitem) {
									  $s_arr = explode(";", $qitem);                        
									  echo "
									  <div class=\"input-group\">
										<span class=\"input-group-addon\">{$s_arr[0]}
										  <span class=\"input-group-addon-del\">x</span>
										</span>
										<input name=\"replace_s_arr[{$s_arr[0]}]\" value=\"{$s_arr[1]}\" type=\"text\" class=\"form-control\">
									  </div>
									  ";
								   }                            
							   echo "</div>";                     
							 } else echo "<div class=\"cdnm-qualities-list\"><div class=\"alert alert-danger\">Пока нет ни одного значения озвучки.</div></div>";
						   
						  }
						  ?>                
					  </div>

					</td>
				  </tr>
				  </tbody>
				</table>
			  
		    </div>

			<div id="uf" class="panel panel-default tab" style="display:none">

			  <table class="table table-bordered" style="margin: 0;">
				<tbody>
				  <tr>
					<td width="50%">
								
								<div class="form-group">
									<label for="ufOn">Модуль автообновления</label>
									<div class="col-sm-12 settings-input-col">
										<button type="button" id="ufOn" class="btn btn-change btn-sm btn-<?=($this->config['cdnm_on'] ? 'success' : 'danger')?>" style="margin: 2px 0; font-weight: bold;"><?=($this->config['cdnm_on'] ? 'ВКЛЮЧЕН' : 'ВЫКЛЮЧЕН')?></button>
										<input type="hidden" name="settings[cdnm_on]" value="<?=($this->config['cdnm_on'] ? 1 : 0)?>" >
										<span class="help-block">Включение и выключение автообновления<br><br></span>
									</div>
								</div>
								
					</td>
					<td width="50%">
                
								<div class="form-group">
									<label>Периодичность проверки</label>
									<div class="col-sm-12 settings-input-col">
										<input type="text" name="settings[cdnm_cache]" class="form-control" value="<?=$this->config['cdnm_cache']?$this->config['cdnm_cache']:'21600'?>" placeholder="Укажите время жизни кеша">
									</div>
									<span class="help-block">Периодичность проверки изменения качества и новых серий<br>(в секундах; 21600 - 6 часов)</span>
								</div>
								
								<div class="form-group">
									<label>Категория с Трейлерами</label>
									<div class="col-sm-12 settings-input-col">
										<?php
											$xfieldsaction = "categoryfilter";
											include ENGINE_DIR . '/inc/xfields.php';
											echo $categoryfilter;

											$categories_list = CategoryNewsSelection(explode(',', $this->config['cdnm_cat_trailer']), 0);
										?>
										<select data-placeholder="Выберите категории с трейлерами ..." name="settings[cdnm_cat_trailer][]" id="cdnm_cat_trailer" onchange="onCategoryChange(this)" class="categoryselect" multiple style="width:100%;max-width:350px;"><?=$categories_list?></select>
									</div>
									<span class="help-block">Будет удален из категории, когда видео появится в базе.<br>Если не нужно, оставить пустым.</span>
								</div>
								
					</td>
				  </tr>
				</tbody>
			  </table>
								
				<div class="panel-heading">
					<h3 class="panel-title">Настройки для фильмов</h3>
				</div> 

			  <table class="table table-bordered" style="margin: 0;">
				<tbody>
				  <tr>
					<td width="50%">
								
								<div class="form-group">
									<label>Категория с TS-CAMRip новинками</label>
									<div class="col-sm-12 settings-input-col">
										<select name="settings[cdnm_cat_ts]" class="form-control">
											<?=CategoryNewsSelection($this->config['cdnm_cat_ts'])?>
										</select>
									</div>
									<span class="help-block">Будет добавлен в эту категорию и удален из нее, при изменеии качества видео.<br>Если не выбирать, будет попадать сразу в хорошее качество.<br><span style="color:red">Работает если выбрана категория трейлера</span></span>
								</div>
								
								<div class="form-group">
									<label>Проверять до качества</label>
									<div class="col-sm-12 settings-input-col">
										<input type="text" name="settings[cdnm_stop_q]" class="form-control" value="<?=$this->config['cdnm_stop_q']?>" placeholder="Варианты качества через запятую">
									</div>
									<span class="help-block">Не проверять, если качество совпадает с указанным.<br>* Значение не регистрозависимое</span>
								</div>
								
								<div class="form-group">
									<label>Проверять за период</label>
									<div class="col-sm-12 settings-input-col">
										<input type="text" name="settings[cdnm_stop_y_value]" class="form-control" value="<?=$this->config['cdnm_stop_y_value']?>" placeholder="Укажите цифрой количество лет">
									</div>
									<span class="help-block">Не проверять, если видео старее (обычно 1-2 года)</span>
								</div>
								                  
					</td>
					<td width="50%">
								
								<div class="form-group">
									<label>Категория с Новинками в хорошем качестве</label>
									<div class="col-sm-12 settings-input-col">
										<select name="settings[cdnm_cat_hd]" class="form-control">
											<?=CategoryNewsSelection($this->config['cdnm_cat_hd'])?>
										</select>
									</div>
									<span class="help-block">Будет добавлен в эту категорию, когда появится хорошее качество.<br>Если не нужно, оставить пустым.<br><span style="color:red">Работает если выбрана категория с трейлерами</span></span>
								</div>
								
								<div class="form-group">
									<label>Проверять до озвучки</label>
									<div class="col-sm-12 settings-input-col">
										<input type="text" name="settings[cdnm_stop_s]" class="form-control" value="<?=$this->config['cdnm_stop_s']?>" placeholder="Варианты озвучки через запятую">
									</div>
									<span class="help-block">Не проверять, если озвучка совпадает с указанным.<br>* Значение регистрозависимое</span>
								</div>
								
								<div class="form-group">
									<label>Поле с годом</label>
									<div class="col-sm-12 settings-input-col">
										<select name="settings[cdnm_stop_y]" class="form-control">
											<?php if ($this->fields['xf']) foreach ($this->fields['xf'] as $key => $value) {
												?><option value="<?=$key?>"<?=($key == $this->config['cdnm_stop_y'] ? ' selected' : '')?>><?=$value?></option><?php
											} ?>
										</select>
									</div>
									<span class="help-block">Выберите поле в котором указан год фильма</span>
								</div>
                  
					</td>
				  </tr>
				</tbody>
			  </table>
		  
				<div class="panel-heading">
					<h3 class="panel-title">Настройки для сериалов</h3>
				</div> 

			  <table class="table table-bordered" style="margin: 0;">
				<tbody>
				  <tr>
					<td width="50%">
                
								<div class="form-group">
									<label>Проверка статуса сериала</label>
									<div class="col-sm-12 settings-input-col">
										<input type="text" name="settings[cdnm_statcdnm_value]" class="form-control" value="<?=$this->config['cdnm_statcdnm_value']?>" placeholder="Пример: Завершен">
									</div>
									<span class="help-block">Не проверять, если статус сериала совпадает с указанным.</span>
								</div>
								
								<div class="form-group">
									<label>Текст для завершенного сезона</label>
									<div class="col-sm-12 settings-input-col">
										<input type="text" name="settings[cdnm_episodes_end]" class="form-control" value="<?=$this->config['cdnm_episodes_end']?>" placeholder="Пример: Все серии">
									</div>
									<span class="help-block">Заменяет поле с количеством серий на этот текст.<br>Если пусто, не меняет</span>
								</div>
                  
					</td>
					<td width="50%">
								
								<div class="form-group">
									<label>Поле "Cтатус сериала"</label>
									<div class="col-sm-12 settings-input-col">
										<select name="settings[cdnm_status]" class="form-control">
											<?php if ($this->fields['xf']) foreach ($this->fields['xf'] as $key => $value) {
												?><option value="<?=$key?>"<?=($key == $this->config['cdnm_status'] ? ' selected' : '')?>><?=$value?></option><?php
											} ?>
										</select>
									</div>
									<span class="help-block">Выберите поле в котором указан статус сериала</span>
								</div>
								
								<div class="form-group">
									<label>Категория с новинками (для сериалов)</label>
									<div class="col-sm-12 settings-input-col">
										<select name="settings[cdnm_cat_hd_s]" class="form-control">
											<?=CategoryNewsSelection($this->config['cdnm_cat_hd_s'])?>
										</select>
									</div>
									<span class="help-block">После выхода будет добавлен в эту категорию, и удален из категории трейлеров.<br>Если не нужно, оставить пустым.</span>
								</div>
                  
					</td>
				  </tr>
				</tbody>
			  </table>
			  
				<div class="panel-heading">
					<h3 class="panel-title">Категории для обновления</h3>
				</div> 
			  
			  <table class="table table-bordered" style="margin: 0;">
				<tbody>
				  <tr>
					<td width="50%">
								
								<div class="form-group">
									<label>Категории</label>
									<span class="help-block">Выберите в поле справа категории, для которых будет работать модуль автообновления.<br>
									На тот случай, когда нужно обновлять только некоторые категории, например  только сериалы.
									<br><span style="color:red">Если сериал лежит в категории Трейлер и он выбран для обновления, из сериалов будут переводиться так же и фильмы. Для этого случая выберите в какую категорию переводить фильмы.</span>
									</span>
									
								</div>
																
					</td>
					<td width="50%">
								
								<div class="form-group">
									<label>Список категорий</label>
									<div class="col-sm-12 settings-input-col">
										<?php
											$xfieldsaction = "categoryfilter";
											include ENGINE_DIR . '/inc/xfields.php';
											echo $categoryfilter;

											$categories_list = CategoryNewsSelection(explode(',', $this->config['cdnm_cats']), 0);
										?>
										<select data-placeholder="Выберите категории ..." name="settings[cdnm_cats][]" id="cdnm_category" onchange="onCategoryChange(this)" class="categoryselect" multiple style="width:100%;max-width:350px;"><?=$categories_list?></select>
										<div class="category-inverse"><input class="checkbox-inline cdnm-replace-field" type="checkbox" id="cdnm_cats_inverse" name="settings[cdnm_cats_inverse]" value="1" title="Не обновлять выбранные категории"<?=($this->config['cdnm_cats_inverse'] ? ' checked' : '')?>></div>
									</div>
									<span class="help-block">Если активировать чекбокс, автообновление будет работать во всех категориях, кроме указанных.<br>Проверка идет без учета подкатегорий<br>Если категории не выбраны, работает во всех категориях.</span>
								</div>
		
					</td>
				  </tr>
				</tbody>
			  </table>

				<div class="panel-heading">
					<h3 class="panel-title" style="color: red">Дебаг / Режим отладки</h3>
				</div> 
			  
			  <table class="table table-bordered" style="margin: 0;">
				<tbody>
				  <tr>
					<td width="50%">
								
								<div class="form-group">
									<label>Режим отладки</label>
									<span class="help-block">Перечислите в поле справа ID материалов, для которых будет работать модуль автообновления.<br>Может быть полезно при знакомстве или тестировании модуля.</span>
								</div>
																
					</td>
					<td width="50%">
								
								<div class="form-group">
									<label>Режим отладки: список ID</label>
									<div class="col-sm-12 settings-input-col">
										<input type="text" name="settings[cdnm_debug]" class="form-control" value="<?=$this->config['cdnm_debug']?>" placeholder="Пример: 42632,10,356">
									</div>
									<span class="help-block">Если пусто, работает во всех материалах.</span>
								</div>
								<div class="form-group">
									<label>Режим отладки: запись в базу</label>
									<div class="col-sm-12 settings-input-col">
										<input type="checkbox" name="settings[cdnm_debug_nosave]" class="moduleField" value="1" <?=($this->config['cdnm_debug_nosave'] ? 'checked' : '')?>> Не записывать в базу<br>
									</div>
									<span class="help-block">По умолчанию записывает в базу.<br>Если нужно прверить без записи, включите эту опцию.</span>
								</div>
		
					</td>
				  </tr>
				</tbody>
			  </table>
		  
			</div>
		
			<div id="shabs" class="panel panel-default tab" style="display:none">
			  
				<div class="panel-heading">
					<h3 class="panel-title">Общине настройки замены + инструкция</h3>
				</div> 
				
			  <table class="table table-bordered" style="margin: 0;">
				<tbody>
				  <tr>
					<td width="50%">
								<div class="form-group">
									<label>Инструкция замены</label>
									<span class="help-block">
Если пусто, не заменяет<br>
{title} - Имя фильма<br>
{year} - год выпуска<br>
{season} - сезон<br>
{episode} - серия<br>
{date} - дата обновления<br>
{description} - описание фильма, для поля metadescription
<br>
{xfvalue_имя-доп-поля} - вставить любое доп.поле<br>
{if_movie}текст{/if_movie} - вывести текст, если это фильм<br>
{if_serial}текст{/if_serial} - вывести текст, если это сериал<br>
<br
>Пример: <br>
{title} {year} смотреть онлайн{if_serial} {season} все серии подряд{/if_serial} в хорошем качестве
									</span>
								</div>
                  
					</td>
					<td width="50%">
								<div class="form-group">
									<label>Формат даты - {date}</label>
									<div class="col-sm-10 settings-input-col">
										<input type="text" name="settings[cdnm_shab_date]" class="form-control" value="<?=$this->config['cdnm_shab_date']?>" placeholder="Введите шаблон" />
									</div>
									<span class="help-block">Если оставить пустым, дату вставлять не будет.</span>
								</div>
								<div class="form-group">
									<label>Подсказка по формату даты</label>
									<span class="help-block">
d - день месяца, 2 цифры; от "01" до "31"<br>
j - день месяца без ведущих нулей; от "1" до "31"<br>
D - день недели, буквенный, 3 буквы; например, "Fri"<br>
l - день недели, буквенный, long; например, "Friday"<br>
    * ("L" в нижнем регистре)<br><br>

m - месяц, 2 цифры; от "01" до "12"<br>
n - месяц без ведущих нулей; от "1" до "12"<br>
M - месяц, буквенный, 3 буквы; например, "Jan"<br>
F - месяц, буквенный, long; например, "January"<br><br>

h - час, 12-часовой формат; от "01" до "12"<br>
g - час, 12-часовой формат без ведущих нулей; от "1" до "12"<br>
H - час, 24-часовой формат; от "00" до "23"<br>
G - час, 24-часовой формат без ведущих нулей; от "0" до "23"<br>
i - минуты; от "00" до "59"<br>
s - секунды; от "00" до "59"<br>
Y - год, 4 цифры; например, "1999"<br>
y - год, 2 цифры; например, "99"<br><br>
Пример: (d-m-Y ) - (05-08-2020)
									</span>
								</div>
                  
					</td>
				  </tr>
				</tbody>
			  </table>
			  
				<div class="panel-heading">
					<h3 class="panel-title">Настройки замены: Metatitle</h3>
				</div> 
				
			  <table class="table table-bordered" style="margin: 0;">
				<tbody>
				  <tr>
					<td width="50%">
								<div class="form-group">
									<label>Автообновление: Активировать шаблон в Фильмах</label>
									<div class="col-sm-12 settings-input-col">
										<input type="checkbox" name="settings[cdnm_metatitle_movie]" class="moduleField" value="1" <?=($this->config['cdnm_metatitle_movie'] ? 'checked' : '')?>> Применять в фильмах
									</div>
									<span class="help-block">По умолчанию шаблоны работают только в сериалах.<br>Включите если нужно проставлять в фильмах</span>
								</div>
					</td>
					<td width="50%">
								<div class="form-group">
									<label>Парсинг: Использовать шабон только при парсинге</label>
									<div class="col-sm-12 settings-input-col">
										<input type="checkbox" name="settings[cdnm_metatitle_onlyparse]" class="moduleField" value="1" <?=($this->config['cdnm_metatitle_onlyparse'] ? 'checked' : '')?>> Отключить в автообновлении
									</div>
									<span class="help-block">Шаблоны работают при парсинге и проставлении ссылок.<br>Включите если нужно использовать шаблон только при парсинге</span>
								</div>
					</td>
				  </tr>
				  <tr>
					<td width="50%">
								<div class="form-group">
									<label>Замена: Мета титл</label>
									<div class="col-sm-10 settings-input-col">
										<input type="text" name="settings[cdnm_metatitle]" class="form-control" value="<?=$this->config['cdnm_metatitle']?>" placeholder="Введите шаблон" />
									</div>
								</div>
								<div class="form-group">
									<label>Замена: Формат сезона</label>
									<div class="col-sm-10 settings-input-col">
										<select name="settings[cdnm_metatitle_season_format]" class="form-control">
											<option value=""<?=($this->config['cdnm_metatitle_season_format'] == '' ? ' selected' : '')?>>По умолчанию (вкладка Вывод данных)</option>
											<option value="1"<?=($this->config['cdnm_metatitle_season_format'] == '1' ? ' selected' : '')?>>1 сезон, 2 сезон, 3 сезон</option>
											<option value="2"<?=($this->config['cdnm_metatitle_season_format'] == '2' ? ' selected' : '')?>>1 сезон, 1-2 сезон, 1-3 сезон</option>
											<option value="3"<?=($this->config['cdnm_metatitle_season_format'] == '3' ? ' selected' : '')?>>1 сезон, 1,2 сезон, 1,2,3 сезон</option>
										</select>
									</div>
									<span class="help-block">Выберите формат в котором будут выводиться сезоны</span>
								</div>
					</td>
					<td width="50%">
								<div class="form-group">
									<label> +1 к серии</label>
									<div class="col-sm-12 settings-input-col" style="margin: 5px 0 22px">
										<input type="checkbox" name="settings[cdnm_metatitle_plus]" class="moduleField" value="1" <?=($this->config['cdnm_metatitle_plus'] ? 'checked' : '')?>> Добавить +1 к серии
									</div>
								</div>
								<div class="form-group">
									<label>Замена: Формат серии</label>
									<div class="col-sm-10 settings-input-col">
										<select name="settings[cdnm_metatitle_episode_format]" class="form-control">
											<option value=""<?=($this->config['cdnm_metatitle_episode_format'] == '' ? ' selected' : '')?>>По умолчанию (вкладка Вывод данных)</option>
											<option value="1"<?=($this->config['cdnm_metatitle_episode_format'] == '1' ? ' selected' : '')?>>1 серия, 2 серия, 3 серия</option>
											<option value="2"<?=($this->config['cdnm_metatitle_episode_format'] == '2' ? ' selected' : '')?>>1 серия, 1-2 серия, 1-3 серия, 1-4 серия</option>
											<option value="3"<?=($this->config['cdnm_metatitle_episode_format'] == '3' ? ' selected' : '')?>>1 серия, 1,2 серия, 1,2,3 серия, 1,2,3,4 серия</option>
											<option value="4"<?=($this->config['cdnm_metatitle_episode_format'] == '4' ? ' selected' : '')?>>1 серия, 1,2 серия, 1,2,3 серия, 2,3,4 серия</option>
											<option value="5"<?=($this->config['cdnm_metatitle_episode_format'] == '5' ? ' selected' : '')?>>1,2 серия, 1,2,3 серия, 1,2,3,4,5 серия, 1-5,6,7 серия</option>
										</select>
									</div>
									<span class="help-block">Выберите формат в котором будут выводиться серии</span>
								</div>
					</td>
				  </tr>
				</tbody>
			  </table>
			  
				<div class="panel-heading">
					<h3 class="panel-title">Настройки замены: Meta description</h3>
				</div> 
				
			  <table class="table table-bordered" style="margin: 0;">
				<tbody>
				  <tr>
					<td width="50%">
								<div class="form-group">
									<label>Автообновление: Активировать шаблон в Фильмах</label>
									<div class="col-sm-12 settings-input-col">
										<input type="checkbox" name="settings[cdnm_metadescription_movie]" class="moduleField" value="1" <?=($this->config['cdnm_metadescription_movie'] ? 'checked' : '')?>> Применять в фильмах
									</div>
									<span class="help-block">По умолчанию шаблоны работают только в сериалах.<br>Включите если нужно проставлять в фильмах</span>
								</div>
					</td>
					<td width="50%">
								<div class="form-group">
									<label>Парсинг: Использовать шабон только при парсинге</label>
									<div class="col-sm-12 settings-input-col">
										<input type="checkbox" name="settings[cdnm_metadescription_onlyparse]" class="moduleField" value="1" <?=($this->config['cdnm_metadescription_onlyparse'] ? 'checked' : '')?>> Отключить в автообновлении
									</div>
									<span class="help-block">Шаблоны работают при парсинге и проставлении ссылок.<br>Включите если нужно использовать шаблон только при парсинге</span>
								</div>
					</td>
				  </tr>
				  <tr>
					<td width="50%">
								<div class="form-group">
									<label>Замена: Мета дескрипшен</label>
									<div class="col-sm-10 settings-input-col">
										<input type="text" name="settings[cdnm_metadescription]" class="form-control" value="<?=$this->config['cdnm_metadescription']?>" placeholder="Введите шаблон" />
									</div>
								</div>
								<div class="form-group">
									<label>Замена: Формат сезона</label>
									<div class="col-sm-10 settings-input-col">
										<select name="settings[cdnm_metadescription_season_format]" class="form-control">
											<option value=""<?=($this->config['cdnm_metadescription_season_format'] == '' ? ' selected' : '')?>>По умолчанию (вкладка Вывод данных)</option>
											<option value="1"<?=($this->config['cdnm_metadescription_season_format'] == '1' ? ' selected' : '')?>>1 сезон, 2 сезон, 3 сезон</option>
											<option value="2"<?=($this->config['cdnm_metadescription_season_format'] == '2' ? ' selected' : '')?>>1 сезон, 1-2 сезон, 1-3 сезон</option>
											<option value="3"<?=($this->config['cdnm_metadescription_season_format'] == '3' ? ' selected' : '')?>>1 сезон, 1,2 сезон, 1,2,3 сезон</option>
										</select>
									</div>
									<span class="help-block">Выберите формат в котором будут выводиться сезоны</span>
								</div>
					</td>
					<td width="50%">
								<div class="form-group">
									<label> +1 к серии</label>
									<div class="col-sm-12 settings-input-col" style="margin: 5px 0 22px">
										<input type="checkbox" name="settings[cdnm_metadescription_plus]" class="moduleField" value="1" <?=($this->config['cdnm_metadescription_plus'] ? 'checked' : '')?>> Добавить +1 к серии
									</div>
								</div>
								<div class="form-group">
									<label>Замена: Формат серии</label>
									<div class="col-sm-10 settings-input-col">
										<select name="settings[cdnm_metadescription_episode_format]" class="form-control">
											<option value=""<?=($this->config['cdnm_metadescription_episode_format'] == '' ? ' selected' : '')?>>По умолчанию (вкладка Вывод данных)</option>
											<option value="1"<?=($this->config['cdnm_metadescription_episode_format'] == '1' ? ' selected' : '')?>>1 серия, 2 серия, 3 серия</option>
											<option value="2"<?=($this->config['cdnm_metadescription_episode_format'] == '2' ? ' selected' : '')?>>1 серия, 1-2 серия, 1-3 серия, 1-4 серия</option>
											<option value="3"<?=($this->config['cdnm_metadescription_episode_format'] == '3' ? ' selected' : '')?>>1 серия, 1,2 серия, 1,2,3 серия, 1,2,3,4 серия</option>
											<option value="4"<?=($this->config['cdnm_metadescription_episode_format'] == '4' ? ' selected' : '')?>>1 серия, 1,2 серия, 1,2,3 серия, 2,3,4 серия</option>
											<option value="5"<?=($this->config['cdnm_metadescription_episode_format'] == '5' ? ' selected' : '')?>>1,2 серия, 1,2,3 серия, 1,2,3,4,5 серия, 1-5,6,7 серия</option>
										</select>
									</div>
									<span class="help-block">Выберите формат в котором будут выводиться серии</span>
								</div>
					</td>
				  </tr>
				</tbody>
			  </table>

				<div class="panel-heading">
					<h3 class="panel-title">Настройки замены: Название материала</h3>
				</div> 
				
			  <table class="table table-bordered" style="margin: 0;">
				<tbody>
				  <tr>
					<td width="50%">
								<div class="form-group">
									<label>Автообновление: Активировать шаблон в Фильмах</label>
									<div class="col-sm-12 settings-input-col">
										<input type="checkbox" name="settings[cdnm_title_movie]" class="moduleField" value="1" <?=($this->config['cdnm_title_movie'] ? 'checked' : '')?>> Применять в фильмах
									</div>
									<span class="help-block">По умолчанию шаблоны работают только в сериалах.<br>Включите если нужно проставлять в фильмах</span>
								</div>
					</td>
					<td width="50%">
								<div class="form-group">
									<label>Парсинг: Использовать шабон только при парсинге</label>
									<div class="col-sm-12 settings-input-col">
										<input type="checkbox" name="settings[cdnm_title_onlyparse]" class="moduleField" value="1" <?=($this->config['cdnm_title_onlyparse'] ? 'checked' : '')?>> Отключить в автообновлении
									</div>
									<span class="help-block">Шаблоны работают при парсинге и проставлении ссылок.<br>Включите если нужно использовать шаблон только при парсинге</span>
								</div>
					</td>
				  </tr>
				  <tr>
					<td width="50%">
								<div class="form-group">
									<label>Замена: Название материала</label>
									<div class="col-sm-10 settings-input-col">
										<input type="text" name="settings[cdnm_title]" class="form-control" value="<?=$this->config['cdnm_title']?>" placeholder="Введите шаблон">
									</div>
								</div>
								<div class="form-group">
									<label>Замена: Формат сезона</label>
									<div class="col-sm-10 settings-input-col">
										<select name="settings[cdnm_title_season_format]" class="form-control">
											<option value=""<?=($this->config['cdnm_title_season_format'] == '' ? ' selected' : '')?>>По умолчанию (вкладка Вывод данных)</option>
											<option value="1"<?=($this->config['cdnm_title_season_format'] == '1' ? ' selected' : '')?>>1 сезон, 2 сезон, 3 сезон</option>
											<option value="2"<?=($this->config['cdnm_title_season_format'] == '2' ? ' selected' : '')?>>1 сезон, 1-2 сезон, 1-3 сезон</option>
											<option value="3"<?=($this->config['cdnm_title_season_format'] == '3' ? ' selected' : '')?>>1 сезон, 1,2 сезон, 1,2,3 сезон</option>
										</select>
									</div>
									<span class="help-block">Выберите формат в котором будут выводиться сезоны</span>
								</div>
					</td>
					<td width="50%">
								<div class="form-group">
									<label> +1 к серии</label>
									<div class="col-sm-12 settings-input-col" style="margin: 5px 0 22px">
										<input type="checkbox" name="settings[cdnm_title_plus]" class="moduleField" value="1" <?=($this->config['cdnm_title_plus'] ? 'checked' : '')?>> Добавить +1 к серии
									</div>
								</div>
								<div class="form-group">
									<label>Замена: Формат серии</label>
									<div class="col-sm-10 settings-input-col">
										<select name="settings[cdnm_title_episode_format]" class="form-control">
											<option value=""<?=($this->config['cdnm_title_episode_format'] == '' ? ' selected' : '')?>>По умолчанию (вкладка Вывод данных)</option>
											<option value="1"<?=($this->config['cdnm_title_episode_format'] == '1' ? ' selected' : '')?>>1 серия, 2 серия, 3 серия</option>
											<option value="2"<?=($this->config['cdnm_title_episode_format'] == '2' ? ' selected' : '')?>>1 серия, 1-2 серия, 1-3 серия, 1-4 серия</option>
											<option value="3"<?=($this->config['cdnm_title_episode_format'] == '3' ? ' selected' : '')?>>1 серия, 1,2 серия, 1,2,3 серия, 1,2,3,4 серия</option>
											<option value="4"<?=($this->config['cdnm_title_episode_format'] == '4' ? ' selected' : '')?>>1 серия, 1,2 серия, 1,2,3 серия, 2,3,4 серия</option>
											<option value="5"<?=($this->config['cdnm_title_episode_format'] == '5' ? ' selected' : '')?>>1,2 серия, 1,2,3 серия, 1,2,3,4,5 серия, 1-5,6,7 серия</option>
										</select>
									</div>
									<span class="help-block">Выберите формат в котором будут выводиться серии</span>
								</div>
					</td>
				  </tr>
				</tbody>
			  </table>

				<div class="panel-heading">
					<h3 class="panel-title">Настройки замены: ЧПУ</h3>
				</div> 
				
			  <table class="table table-bordered" style="margin: 0;">
				<tbody>
				  <tr>
					<td width="50%">
								<div class="form-group">
									<label>Автообновление: Активировать шаблон в Фильмах</label>
									<div class="col-sm-12 settings-input-col">
										<input type="checkbox" name="settings[cdnm_chpu_movie]" class="moduleField" value="1" <?=($this->config['cdnm_chpu_movie'] ? 'checked' : '')?>> Применять в фильмах
									</div>
									<span class="help-block">По умолчанию шаблоны работают только в сериалах.<br>Включите если нужно проставлять в фильмах</span>
								</div>
					</td>
					<td width="50%">
								<div class="form-group">
									<label>Парсинг: Использовать шабон только при парсинге</label>
									<div class="col-sm-12 settings-input-col">
										<input type="checkbox" name="settings[cdnm_chpu_onlyparse]" class="moduleField" value="1" <?=($this->config['cdnm_chpu_onlyparse'] ? 'checked' : '')?>> Отключить в автообновлении
									</div>
									<span class="help-block">Шаблоны работают при парсинге и проставлении ссылок.<br>Включите если нужно использовать шаблон только при парсинге</span>
								</div>
					</td>
				  </tr>
				  <tr>
					<td width="50%">
								<div class="form-group">
									<label>Замена: ЧПУ</label>
									<div class="col-sm-10 settings-input-col">
										<input type="text" name="settings[cdnm_chpu]" class="form-control" value="<?=$this->config['cdnm_chpu']?>" placeholder="Введите шаблон" />
									</div>
								</div>
								<div class="form-group">
									<label>Замена: Формат сезона</label>
									<div class="col-sm-10 settings-input-col">
										<select name="settings[cdnm_chpu_season_format]" class="form-control">
											<option value=""<?=($this->config['cdnm_chpu_season_format'] == '' ? ' selected' : '')?>>По умолчанию (вкладка Вывод данных)</option>
											<option value="1"<?=($this->config['cdnm_chpu_season_format'] == '1' ? ' selected' : '')?>>1 сезон, 2 сезон, 3 сезон</option>
											<option value="2"<?=($this->config['cdnm_chpu_season_format'] == '2' ? ' selected' : '')?>>1 сезон, 1-2 сезон, 1-3 сезон</option>
											<option value="3"<?=($this->config['cdnm_chpu_season_format'] == '3' ? ' selected' : '')?>>1 сезон, 1,2 сезон, 1,2,3 сезон</option>
										</select>
									</div>
									<span class="help-block">Выберите формат в котором будут выводиться сезоны</span>
								</div>
					</td>
					<td width="50%">
								<div class="form-group">
									<label> +1 к серии</label>
									<div class="col-sm-12 settings-input-col" style="margin: 5px 0 22px">
										<input type="checkbox" name="settings[cdnm_chpu_plus]" class="moduleField" value="1" <?=($this->config['cdnm_chpu_plus'] ? 'checked' : '')?>> Добавить +1 к серии
									</div>
								</div>
								<div class="form-group">
									<label>Замена: Формат серии</label>
									<div class="col-sm-10 settings-input-col">
										<select name="settings[cdnm_chpu_episode_format]" class="form-control">
											<option value=""<?=($this->config['cdnm_chpu_episode_format'] == '' ? ' selected' : '')?>>По умолчанию (вкладка Вывод данных)</option>
											<option value="1"<?=($this->config['cdnm_chpu_episode_format'] == '1' ? ' selected' : '')?>>1 серия, 2 серия, 3 серия</option>
											<option value="2"<?=($this->config['cdnm_chpu_episode_format'] == '2' ? ' selected' : '')?>>1 серия, 1-2 серия, 1-3 серия, 1-4 серия</option>
											<option value="3"<?=($this->config['cdnm_chpu_episode_format'] == '3' ? ' selected' : '')?>>1 серия, 1,2 серия, 1,2,3 серия, 1,2,3,4 серия</option>
											<option value="4"<?=($this->config['cdnm_chpu_episode_format'] == '4' ? ' selected' : '')?>>1 серия, 1,2 серия, 1,2,3 серия, 2,3,4 серия</option>
											<option value="5"<?=($this->config['cdnm_chpu_episode_format'] == '5' ? ' selected' : '')?>>1,2 серия, 1,2,3 серия, 1,2,3,4,5 серия, 1-5,6,7 серия</option>
										</select>
									</div>
									<span class="help-block">Выберите формат в котором будут выводиться серии</span>
								</div>
					</td>
				  </tr>
				</tbody>
			  </table>
			  
			</div>

			
			<div class="cdnm-panel-footer">
				<textarea id="filmVoicePrioritySave" name="film_voice_save" style="display: none;"></textarea>
				<button type="submit"<?=(!is_writable(ENGINE_DIR . '/data/cdnmconfig.php')  && file_exists(ENGINE_DIR . '/data/cdnmconfig.php')?' disabled':'')?> class="btn btn-primary" id="SaveSettings">Сохранить</button>
			</div>			
		</form>



		<footer class="cdnm-footer">
			<p><?php echo $this->copyright; ?></p>
		</footer>
	</div>

	<!-- JavaScript -->
	<script type="text/javascript">
	<!--
		$(".btn-change").click(function() {
			var on = parseInt($(this).next("input").val());

			if (on) {
				$(this).removeClass("btn-success").addClass("btn-danger").text("ВЫКЛЮЧЕН");
				$(this).next("input").val("0");
			} else {
				$(this).removeClass("btn-danger").addClass("btn-success").text("ВКЛЮЧЕН");
				$(this).next("input").val("1");
			}
		});

		$("#VoiceHelp, #CronHelp").hover(function() {
			$(this).popover("show");
		}, function() {
			$(this).popover("hide");
		});

		$("#SaveSettings").click(function() {
			var film_voice_save = new Array(),
				film_priority_count = 0;
			
			$.each($("#filmVoiceUseContainer .sortable"), function(i, e) {
				var priority = i + 1;
				film_priority_count += 1;

				film_voice_save[film_priority_count] = priority + "|" + $(e).data("id");
			});
			$.each($("#filmVoiceBlackContainer .sortable"), function(i, e) {
				film_priority_count += 1;

				film_voice_save[film_priority_count] = "-1|" + $(e).data("id");
			});
			film_voice_save = film_voice_save.join();

			$("#filmVoicePrioritySave").val(film_voice_save);
		});
	-->
	</script>

</body>
</html>